reg [8*25 :1] string_u_cmd, string_sys_cmd, string_state, string_next_state, string_ddr_cmd, string_next_ddr_cmd;

always @(sys_cmd) begin
   case (1)
     sys_cmd[`SYS_REFRESH]            : string_sys_cmd = "REFRESH";
     sys_cmd[`SYS_NOP]                : string_sys_cmd = "NOP";
     sys_cmd[`SYS_PRECHARGE]          : string_sys_cmd = "PRECHARGE";
     sys_cmd[`SYS_LOAD_MR]            : string_sys_cmd = "LOAD_MR";
     sys_cmd[`SYS_READ]               : string_sys_cmd = "READ";
     sys_cmd[`SYS_WRITE]              : string_sys_cmd = "WRITE";
     sys_cmd[`SYS_BURST_STOP]         : string_sys_cmd = "BURST_STOP";
     default: string_sys_cmd = "NOP";
   endcase // case(sys_cmd)
end // always @ (sys_cmd)

always @(utt.u_cmd) begin
   case (1)
     utt.u_cmd[`SYS_REFRESH]            : string_u_cmd = "REFRESH";
     utt.u_cmd[2]           : string_u_cmd = "NOP";
     utt.u_cmd[6]          : string_u_cmd = "PRECHARGE";
     utt.u_cmd[`SYS_LOAD_MR]            : string_u_cmd = "LOAD_MR";
     utt.u_cmd[`SYS_READ]               : string_u_cmd = "READ";
     utt.u_cmd[`SYS_WRITE]              : string_u_cmd = "WRITE";
//     utt.u_cmd[`SYS_BURST_STOP]         : string_u_cmd = "BURST_STOP";
     default: string_u_cmd = "UNKNOWN";
   endcase // case(u_cmd)
end // always @ (u_cmd)
      
//   wire state11 = 	utt.I_ddr_ctlr.controller.state[11];
//   wire state10 = 	utt.I_ddr_ctlr.controller.state[10];
//   wire state9 = 	utt.I_ddr_ctlr.controller.state[9];
//   wire state8 = 	utt.I_ddr_ctlr.controller.state[8];
//   wire state7 = 	utt.I_ddr_ctlr.controller.state[7];
//   wire state6 = 	utt.I_ddr_ctlr.controller.state[6];
//   wire state5 = 	utt.I_ddr_ctlr.controller.state[5];
//   wire state4 = 	utt.I_ddr_ctlr.controller.state[4];
//   wire state3 = 	utt.I_ddr_ctlr.controller.state[3];
//   wire state2 = 	utt.I_ddr_ctlr.controller.state[2];
//   wire state1 = 	utt.I_ddr_ctlr.controller.state[1];
//   wire [11:1] state = {state11, state10, state9, state8, state7, state6, state5, state4, state3, state2, state1};
//   always @(state) begin
//	  case (1'b1)					   
//	    state1      : string_state = "IDLE";
//	    state2      : string_state = "REFRESH";
//	    state3      : string_state = "PRECHARGE";
//	    state4      : string_state = "LOAD_MR";
//	    state5      : string_state = "ACT";
//	    state6      : string_state = "READ";
//	    state7      : string_state = "WRITE";
//	    state8      : string_state = "BURST_STOP";
//	    state9      : string_state = "READ_WAIT";
//	    state10      : string_state = "READ_DATA";
//	    state11      : string_state = "WRITE_DATA";
//	    default: string_state = "UNKOWN";
//	  endcase // case(state)
//   end
//
//   wire next_state11 = 	utt.I_ddr_ctlr.controller.next_state[11];   
//   wire next_state10 = 	utt.I_ddr_ctlr.controller.next_state[10];
//   wire next_state9 = 	utt.I_ddr_ctlr.controller.next_state[9];
//   wire next_state8 = 	utt.I_ddr_ctlr.controller.next_state[8];
//   wire next_state7 = 	utt.I_ddr_ctlr.controller.next_state[7];
//   wire next_state6 = 	utt.I_ddr_ctlr.controller.next_state[6];
//   wire next_state5 = 	utt.I_ddr_ctlr.controller.next_state[5];
//   wire next_state4 = 	utt.I_ddr_ctlr.controller.next_state[4];
//   wire next_state3 = 	utt.I_ddr_ctlr.controller.next_state[3];
//   wire next_state2 = 	utt.I_ddr_ctlr.controller.next_state[2];
//   wire next_state1 = 	utt.I_ddr_ctlr.controller.next_state[1];
//   wire [11:1] next_state = {next_state11, next_state10, next_state9, next_state8, next_state7, next_state6, next_state5, next_state4, next_state3, next_state2, next_state1};
//   always @(next_state) begin
//	  case (1'b1)					   
//	    next_state1	     : string_next_state = "IDLE";
//	    next_state2	     : string_next_state = "REFRESH";
//	    next_state3	     : string_next_state = "PRECHARGE";
//	    next_state4	     : string_next_state = "LOAD_MR";
//	    next_state5	     : string_next_state = "ACT";
//	    next_state6	     : string_next_state = "READ";
//	    next_state7	     : string_next_state = "WRITE";
//	    next_state8	     : string_next_state = "BURST_STOP";
//	    next_state9          : string_next_state = "READ_WAIT";
//	    next_state10         : string_next_state = "READ_DATA";
//	    next_state11         : string_next_state = "WRITE_DATA";
//	    default              :string_next_state = "UNKOWN";
//	  endcase // case(next_state)
//   end

   wire [2:0] ddr_cmd = {ddr_rasb, ddr_casb, ddr_web};
   always @(ddr_cmd) begin
      case (ddr_cmd)
	`DDR_LOAD_MR           : string_ddr_cmd = "LOAD_MR";
	`DDR_AUTO_REFRESH      : string_ddr_cmd = "AUTO_REFRESH";
	`DDR_PRECHARGE         : string_ddr_cmd = "PRECHARGE";
	`DDR_ACT               : string_ddr_cmd = "ACT";
	`DDR_WRITEA            : string_ddr_cmd = "WRITEA";
	`DDR_READA             : string_ddr_cmd = "READA";
	`DDR_BURST_STOP        : string_ddr_cmd = "BURST_STOP";
	`DDR_NOP               : string_ddr_cmd = "NOP";
	default: string_ddr_cmd = "UNKOWN";
      endcase // case(ddr_cmd)
   end // always @ (ddr_cmd)
   
   
