--*****************************************************************************
--
--    File Name:  rcd_ctlr.vhd
--      Version:  2.5
--         Date:  June 05, 2000
-- 
--  Description:  counts ras-to-cas delay.  
--                For this design, T_rcd is 2 clk cycles
--                rcd_end goes high 1 clk cycles after ld_rcd is low
-- 
--       Author:  Jennnifer Tran
--      Company:  Xilinx
--
--                Copyright (c) 1999 Xilinx, Inc.
--                All rights reserved
--
--    DDR SDRAM:  64M (1M x 16Bit x 4Bank)
-- 
--   Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
--                WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
--                IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
--                A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
--
--*****************************************************************************/
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;
library work;
use WORK.ddr_controller_comp.all;
-- synopsys translate_off
library unisim;
use unisim.vcomponents.all;
-- synopsys translate_on

entity rcd_cntr is
  port(
    --Outputs
    rcd_end : out std_logic;
    
    --Inputs
    clk     : in std_logic;
    ld_rcd  : in std_logic);
end rcd_cntr;

architecture rtl of rcd_cntr is
begin
  
  process (clk) begin
    if (clk 'event and clk = '1') then
      rcd_end <= not(ld_rcd);
    end if;     
  end process;

end rtl;
