-- Xilinx Vhdl produced by program ngd2vhdl D.19
-- Command: -w top_par top_par.vhd 
-- Options: -w -ti UUT 
-- Date: Thu Jun 22 13:41:16 2000 
-- Input file: top_par.nga
-- Output file: top_par.vhd
-- Tmp file: /var/tmp/xil_CAARuqtJ_
-- Design name: Synopsys_edif
-- Xilinx: /build/sjxfndry/D.19/rtf
-- # of Entities: 1
-- Device: v300ebg432-7

-- The output of ngd2vhdl is a simulation model. This file cannot be synthesized,
-- or used in any other manner other than simulation. This netlist uses simulation
-- primitives which may not represent the true implementation of the device, however
-- the netlist is functionally correct. Do not modify this file.

-- Model for  ROC (Reset-On-Configuration) Cell
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.VITAL_Timing.all;
entity ROC is
  generic (InstancePath: STRING := "*";
           WIDTH : Time := 100 ns);
  port(O : out std_ulogic := '1') ;
  attribute VITAL_LEVEL0 of ROC : entity is TRUE;
end ROC;

architecture ROC_V of ROC is
attribute VITAL_LEVEL0 of ROC_V : architecture is TRUE;
begin
  ONE_SHOT : process
  begin
    if (WIDTH <= 0 ns) then
       assert FALSE report
       "*** Error: a positive value of WIDTH must be specified ***"
       severity failure;
    else
       wait for WIDTH;
       O <= '0';
    end if;
    wait;
  end process ONE_SHOT;
end ROC_V;

-- Model for  TOC (Tristate-On-Configuration) Cell
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.VITAL_Timing.all;
entity TOC is
  generic (InstancePath: STRING := "*";
           WIDTH : Time := 0 ns);
  port(O : out std_ulogic := '0');
  attribute VITAL_LEVEL0 of TOC : entity is TRUE;
end TOC;

architecture TOC_V of TOC is
attribute VITAL_LEVEL0 of TOC_V : architecture is TRUE;
begin
  ONE_SHOT : process
  begin
    O <= '1';
    if (WIDTH <= 0 ns) then
       O <= '0';
    else
       wait for WIDTH;
       O <= '0';
    end if;
    wait;
  end process ONE_SHOT;
end TOC_V;

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;
entity SYNOPSYS_EDIF is
  port (
    U_CLK : in STD_LOGIC := 'X'; 
    DDR_RASB : out STD_LOGIC; 
    SYS_REF_ACK : out STD_LOGIC; 
    DDR_CASB : out STD_LOGIC; 
    SYS_RESET_N : in STD_LOGIC := 'X'; 
    DDR_CKE : out STD_LOGIC; 
    DDR_WEB : out STD_LOGIC; 
    DDR_CLK : out STD_LOGIC; 
    DDR_CSB : out STD_LOGIC; 
    DDR_CLKB : out STD_LOGIC; 
    U_CLK_FB : in STD_LOGIC := 'X'; 
    SYS_DATA_VALID : out STD_LOGIC; 
    DDR_AD : out STD_LOGIC_VECTOR ( 11 downto 0 ); 
    SYS_CMD : in STD_LOGIC_VECTOR ( 6 downto 2 ); 
    SYS_DATA_O : out STD_LOGIC_VECTOR ( 31 downto 0 ); 
    SYS_ADDR : in STD_LOGIC_VECTOR ( 21 downto 0 ); 
    DDR_DQ : inout STD_LOGIC_VECTOR ( 15 downto 0 ); 
    SYS_DATA_I : in STD_LOGIC_VECTOR ( 31 downto 0 ); 
    DDR_DQS : out STD_LOGIC_VECTOR ( 1 downto 0 ); 
    DDR_BA : out STD_LOGIC_VECTOR ( 1 downto 0 ); 
    DDR_DM : out STD_LOGIC_VECTOR ( 1 downto 0 ) 
  );
end SYNOPSYS_EDIF;

architecture STRUCTURE of SYNOPSYS_EDIF is
  component ROC
    generic (InstancePath: STRING := "*";
             WIDTH : Time := 100 ns);
    port (O : out STD_ULOGIC := '1');
  end component;
  component TOC
    generic (InstancePath: STRING := "*";
             WIDTH : Time := 0 ns);
    port (O : out STD_ULOGIC := '1');
  end component;
  signal I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY : STD_LOGIC; 
  signal FPGA_CLK : STD_LOGIC; 
  signal I_DDR_CTLR_ADDR_RESET1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET1 : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_CELL_116_U31_DATA2_0 : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_CLK2X : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1 : STD_LOGIC; 
  signal U_RESET_N : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O : STD_LOGIC; 
  signal I_DDR_CTLR_ADDR_RESET2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB : STD_LOGIC; 
  signal U_DATA_VALID : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK2X_OUT_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK_OUT_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_LOCKED : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CY_1_O : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_END : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_7_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_10_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N400 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N414 : STD_LOGIC; 
  signal I_DDR_CTLR_BURST_8 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N401 : STD_LOGIC; 
  signal I_DDR_CTLR_BURST_END : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N422 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_11_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N413 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_12_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N420 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N403 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N412 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N409 : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_5_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_2_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_6_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_150 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_LD_RCD : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_8_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N410 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N411 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N418 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N419 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N405 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N406 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N408 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N416 : STD_LOGIC; 
  signal I_DDR_CTLR_RCD_END : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N407 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N404 : STD_LOGIC; 
  signal I_DDR_CTLR_BURST_2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_N182 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N415 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N402 : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T : STD_LOGIC; 
  signal I_DDR_CTLR_MRS_ADDR : STD_LOGIC; 
  signal I_DDR_CTLR_ROW_ADDR : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_VALID_EN : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_LAC_CLK : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET3 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_157 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_154 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_LD_BURST : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_N232 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N417 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N421 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_N_1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_BRST_CNTR_B_1 : STD_LOGIC; 
  signal I_DDR_CTLR_N_1 : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK90 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_3 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4 : STD_LOGIC; 
  signal DDR_AD_8_CLKNOT : STD_LOGIC; 
  signal DDR_AD_8_KEEPER : STD_LOGIC; 
  signal DDR_AD_8_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_CMD_3_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_28_KEEPER : STD_LOGIC; 
  signal DDR_AD_9_CLKNOT : STD_LOGIC; 
  signal DDR_AD_9_KEEPER : STD_LOGIC; 
  signal DDR_AD_9_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_CMD_4_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_29_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_0_KEEPER : STD_LOGIC; 
  signal SYS_CMD_5_KEEPER : STD_LOGIC; 
  signal DDR_RASB_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O : STD_LOGIC; 
  signal DDR_RASB_KEEPER : STD_LOGIC; 
  signal DDR_RASB_OFF_SET : STD_LOGIC; 
  signal DDR_RASB_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_ADDR_1_KEEPER : STD_LOGIC; 
  signal SYS_CMD_6_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_2_KEEPER : STD_LOGIC; 
  signal SYS_REF_ACK_OCENOT : STD_LOGIC; 
  signal U_REF_ACK : STD_LOGIC; 
  signal SYS_REF_ACK_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_0_ENABLE : STD_LOGIC; 
  signal DDR_DQ_0_KEEPER : STD_LOGIC; 
  signal DDR_DQ_0_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_10_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_4_KEEPER : STD_LOGIC; 
  signal DDR_CASB_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O : STD_LOGIC; 
  signal DDR_CASB_KEEPER : STD_LOGIC; 
  signal DDR_CASB_OFF_SET : STD_LOGIC; 
  signal DDR_CASB_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_1_ENABLE : STD_LOGIC; 
  signal DDR_DQ_1_KEEPER : STD_LOGIC; 
  signal DDR_DQ_1_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_11_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_5_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_0_KEEPER : STD_LOGIC; 
  signal DDR_DQ_2_ENABLE : STD_LOGIC; 
  signal DDR_DQ_2_KEEPER : STD_LOGIC; 
  signal DDR_DQ_2_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_20_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_12_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_6_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_1_KEEPER : STD_LOGIC; 
  signal DDR_DQ_3_ENABLE : STD_LOGIC; 
  signal DDR_DQ_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_3_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_13_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_21_KEEPER : STD_LOGIC; 
  signal DDR_DQS_0_CLKNOT : STD_LOGIC; 
  signal DDR_DQS_0_CLKNOT_0 : STD_LOGIC; 
  signal DDR_DQS_0_ENABLE : STD_LOGIC; 
  signal DDR_DQS_0_KEEPER : STD_LOGIC; 
  signal DDR_DQS_0_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_7_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_2_KEEPER : STD_LOGIC; 
  signal DDR_DQ_4_ENABLE : STD_LOGIC; 
  signal DDR_DQ_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_4_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_22_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_30_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_14_KEEPER : STD_LOGIC; 
  signal DDR_DQS_1_CLKNOT : STD_LOGIC; 
  signal DDR_DQS_1_CLKNOT_1 : STD_LOGIC; 
  signal DDR_DQS_1_ENABLE : STD_LOGIC; 
  signal DDR_DQS_1_KEEPER : STD_LOGIC; 
  signal DDR_DQS_1_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_8_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_5_ENABLE : STD_LOGIC; 
  signal DDR_DQ_5_KEEPER : STD_LOGIC; 
  signal DDR_DQ_5_OUTBUF_GTS_AND : STD_LOGIC; 
  signal I_USER_INT_SYS_RESET_N_PAD : STD_LOGIC; 
  signal SYS_RESET_N_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_15_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_31_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_23_KEEPER : STD_LOGIC; 
  signal DDR_CKE_LOGIC_ONE : STD_LOGIC; 
  signal DDR_CKE_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_9_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_6_ENABLE : STD_LOGIC; 
  signal DDR_DQ_6_KEEPER : STD_LOGIC; 
  signal DDR_DQ_6_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_24_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_16_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_10_KEEPER : STD_LOGIC; 
  signal DDR_WEB_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O : STD_LOGIC; 
  signal DDR_WEB_KEEPER : STD_LOGIC; 
  signal DDR_WEB_OFF_SET : STD_LOGIC; 
  signal DDR_WEB_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_5_KEEPER : STD_LOGIC; 
  signal DDR_DQ_7_ENABLE : STD_LOGIC; 
  signal DDR_DQ_7_KEEPER : STD_LOGIC; 
  signal DDR_DQ_7_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_17_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_25_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_11_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_6_KEEPER : STD_LOGIC; 
  signal DDR_DQ_8_ENABLE : STD_LOGIC; 
  signal DDR_DQ_8_KEEPER : STD_LOGIC; 
  signal DDR_DQ_8_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_26_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_18_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_20_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_12_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_7_KEEPER : STD_LOGIC; 
  signal DDR_DQ_9_ENABLE : STD_LOGIC; 
  signal DDR_DQ_9_KEEPER : STD_LOGIC; 
  signal DDR_DQ_9_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_19_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_27_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_13_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_21_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_0_KEEPER : STD_LOGIC; 
  signal DDR_CLK_OUTMUX : STD_LOGIC; 
  signal DDR_CLK_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_8_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_28_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_14_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_1_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_9_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_29_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_15_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_2_KEEPER : STD_LOGIC; 
  signal DDR_CSB_LOGIC_ZERO : STD_LOGIC; 
  signal DDR_CSB_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_16_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_10_ENABLE : STD_LOGIC; 
  signal DDR_DQ_10_KEEPER : STD_LOGIC; 
  signal DDR_DQ_10_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_17_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_11_ENABLE : STD_LOGIC; 
  signal DDR_DQ_11_KEEPER : STD_LOGIC; 
  signal DDR_DQ_11_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_18_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_5_KEEPER : STD_LOGIC; 
  signal DDR_BA_0_CLKNOT : STD_LOGIC; 
  signal DDR_BA_0_KEEPER : STD_LOGIC; 
  signal DDR_BA_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_12_ENABLE : STD_LOGIC; 
  signal DDR_DQ_12_KEEPER : STD_LOGIC; 
  signal DDR_DQ_12_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_CLKB_OUTMUX : STD_LOGIC; 
  signal DDR_CLKB_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_19_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_6_KEEPER : STD_LOGIC; 
  signal DDR_DM_0_LOGIC_ZERO : STD_LOGIC; 
  signal DDR_DM_0_KEEPER : STD_LOGIC; 
  signal DDR_BA_1_CLKNOT : STD_LOGIC; 
  signal DDR_BA_1_KEEPER : STD_LOGIC; 
  signal DDR_BA_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_13_ENABLE : STD_LOGIC; 
  signal DDR_DQ_13_KEEPER : STD_LOGIC; 
  signal DDR_DQ_13_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_7_KEEPER : STD_LOGIC; 
  signal DDR_DM_1_LOGIC_ZERO : STD_LOGIC; 
  signal DDR_DM_1_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_10_KEEPER : STD_LOGIC; 
  signal DDR_DQ_14_ENABLE : STD_LOGIC; 
  signal DDR_DQ_14_KEEPER : STD_LOGIC; 
  signal DDR_DQ_14_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_8_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_11_KEEPER : STD_LOGIC; 
  signal DDR_DQ_15_ENABLE : STD_LOGIC; 
  signal DDR_DQ_15_KEEPER : STD_LOGIC; 
  signal DDR_DQ_15_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_9_KEEPER : STD_LOGIC; 
  signal DDR_AD_10_CLKNOT : STD_LOGIC; 
  signal DDR_AD_10_KEEPER : STD_LOGIC; 
  signal DDR_AD_10_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_AD_0_CLKNOT : STD_LOGIC; 
  signal DDR_AD_0_KEEPER : STD_LOGIC; 
  signal DDR_AD_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_20_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_12_KEEPER : STD_LOGIC; 
  signal DDR_AD_11_CLKNOT : STD_LOGIC; 
  signal DDR_AD_11_KEEPER : STD_LOGIC; 
  signal DDR_AD_11_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_AD_1_CLKNOT : STD_LOGIC; 
  signal DDR_AD_1_KEEPER : STD_LOGIC; 
  signal DDR_AD_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_13_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_21_KEEPER : STD_LOGIC; 
  signal DDR_AD_2_CLKNOT : STD_LOGIC; 
  signal DDR_AD_2_KEEPER : STD_LOGIC; 
  signal DDR_AD_2_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_30_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_22_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_14_KEEPER : STD_LOGIC; 
  signal DDR_AD_3_CLKNOT : STD_LOGIC; 
  signal DDR_AD_3_KEEPER : STD_LOGIC; 
  signal DDR_AD_3_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_15_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_23_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_31_OD : STD_LOGIC; 
  signal SYS_DATA_O_31_KEEPER : STD_LOGIC; 
  signal DDR_AD_4_CLKNOT : STD_LOGIC; 
  signal DDR_AD_4_KEEPER : STD_LOGIC; 
  signal DDR_AD_4_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_24_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_16_KEEPER : STD_LOGIC; 
  signal SYS_DATA_VALID_OD : STD_LOGIC; 
  signal I_USER_INT_SYS_DATA_VALID_PAD : STD_LOGIC; 
  signal SYS_DATA_VALID_KEEPER : STD_LOGIC; 
  signal DDR_AD_5_CLKNOT : STD_LOGIC; 
  signal DDR_AD_5_KEEPER : STD_LOGIC; 
  signal DDR_AD_5_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_17_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_25_KEEPER : STD_LOGIC; 
  signal DDR_AD_6_CLKNOT : STD_LOGIC; 
  signal DDR_AD_6_KEEPER : STD_LOGIC; 
  signal DDR_AD_6_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_26_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_18_KEEPER : STD_LOGIC; 
  signal DDR_AD_7_CLKNOT : STD_LOGIC; 
  signal DDR_AD_7_KEEPER : STD_LOGIC; 
  signal DDR_AD_7_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_CMD_2_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_19_OD : STD_LOGIC; 
  signal SYS_DATA_O_19_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_27_KEEPER : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORG : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_CYMUXG : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORF : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_10_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_10_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_11_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_11_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_12_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_12_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_1_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_SET : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_3_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_RST : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_4_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_RST : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_5_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_2_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_6_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_6_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_7_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_7_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE207_8_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_8_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_BURST_2174 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_BURST_8179 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_ROW_ADDR_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_ROW_ADDR : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_VALID_EN_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_CELL_116_U32_DATA2_0 : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_417 : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_N_2811 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_N_2794 : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_HALF_0_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N411_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N411_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N418_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N418_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N401_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N401_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N422_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N422_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N410_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N410_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_21_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_23_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_31_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_17_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_25_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_19_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_27_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_29_CLKNOT : STD_LOGIC; 
  signal U_DATA_O_24_GROM : STD_LOGIC; 
  signal U_DATA_O_24_FROM : STD_LOGIC; 
  signal U_DATA_O_15_GROM : STD_LOGIC; 
  signal U_DATA_O_15_FROM : STD_LOGIC; 
  signal U_DATA_O_22_GROM : STD_LOGIC; 
  signal U_DATA_O_22_FROM : STD_LOGIC; 
  signal U_DATA_O_13_GROM : STD_LOGIC; 
  signal U_DATA_O_13_FROM : STD_LOGIC; 
  signal U_DATA_O_20_GROM : STD_LOGIC; 
  signal U_DATA_O_20_FROM : STD_LOGIC; 
  signal U_DATA_O_11_GROM : STD_LOGIC; 
  signal U_DATA_O_11_FROM : STD_LOGIC; 
  signal U_DATA_O_19_GROM : STD_LOGIC; 
  signal U_DATA_O_19_FROM : STD_LOGIC; 
  signal U_DATA_O_0_GROM : STD_LOGIC; 
  signal U_DATA_O_0_FROM : STD_LOGIC; 
  signal U_DATA_O_17_GROM : STD_LOGIC; 
  signal U_DATA_O_17_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT : STD_LOGIC; 
  signal U_DATA_O_4_GROM : STD_LOGIC; 
  signal U_DATA_O_4_FROM : STD_LOGIC; 
  signal U_DATA_O_31_GROM : STD_LOGIC; 
  signal U_DATA_O_31_FROM : STD_LOGIC; 
  signal U_DATA_VALID_GROM : STD_LOGIC; 
  signal U_DATA_O_2_GROM : STD_LOGIC; 
  signal U_DATA_O_2_FROM : STD_LOGIC; 
  signal U_DATA_O_8_GROM : STD_LOGIC; 
  signal U_DATA_O_8_FROM : STD_LOGIC; 
  signal U_DATA_O_28_GROM : STD_LOGIC; 
  signal U_DATA_O_28_FROM : STD_LOGIC; 
  signal U_DATA_O_6_GROM : STD_LOGIC; 
  signal U_DATA_O_6_FROM : STD_LOGIC; 
  signal U_DATA_O_26_GROM : STD_LOGIC; 
  signal U_DATA_O_26_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_HALF_1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_END_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_CSLT_END8 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_N_1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_MRS_ADDR_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N406_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N406_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_21_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_23_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_31_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_17_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_25_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_19_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_27_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_29_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK90_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK90_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_RCD_END_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK270 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK90 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLKDV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK2X180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK270 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK90 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLKDV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_28_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_29_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_REF_ACK0_2_INV : STD_LOGIC; 
  signal DDR_DQ_0_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV : STD_LOGIC; 
  signal DDR_DQ_1_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_0_2_INV : STD_LOGIC; 
  signal DDR_DQ_2_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_1_2_INV : STD_LOGIC; 
  signal DDR_DQ_3_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQS_0_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_2_2_INV : STD_LOGIC; 
  signal DDR_DQ_4_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQS_1_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_3_2_INV : STD_LOGIC; 
  signal DDR_DQ_5_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_CKE_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_4_2_INV : STD_LOGIC; 
  signal DDR_DQ_6_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_5_2_INV : STD_LOGIC; 
  signal DDR_DQ_7_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_6_2_INV : STD_LOGIC; 
  signal DDR_DQ_8_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_7_2_INV : STD_LOGIC; 
  signal DDR_DQ_9_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_8_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_9_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_CSB_2_INV : STD_LOGIC; 
  signal DDR_DQ_10_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_11_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV : STD_LOGIC; 
  signal DDR_DQ_12_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_DQM0_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV : STD_LOGIC; 
  signal DDR_DQ_13_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_DQM1_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_10_2_INV : STD_LOGIC; 
  signal DDR_DQ_14_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_11_2_INV : STD_LOGIC; 
  signal DDR_DQ_15_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_20_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_12_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_13_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_21_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_30_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_22_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_14_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_15_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_23_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_31_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_24_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_16_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DATA_VALID0_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_17_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_25_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_26_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_18_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_19_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_27_2_INV : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal GSR : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal GTS : STD_LOGIC; 
  signal NGD2VHDL_X_2781_12 : STD_LOGIC; 
  signal NGD2VHDL_X_2781_13 : STD_LOGIC; 
  signal NGD2VHDL_X_2784_12 : STD_LOGIC; 
  signal NGD2VHDL_X_2784_13 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal U_CMD : STD_LOGIC_VECTOR ( 6 downto 2 ); 
  signal U_DATA_O : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal U_ADDR : STD_LOGIC_VECTOR ( 21 downto 0 ); 
  signal I_DDR_CTLR_DDR_READ_EN : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal U_DATA_I : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_CSLT_CNTR_COUNT : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_DDR_WRITE_EN : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK : STD_LOGIC_VECTOR ( 4 downto 1 ); 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_CAS_LAT_MAX : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_CAS_LAT_HALF : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2 : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5 : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal I_USER_INT_SYS_CMD_PAD : STD_LOGIC_VECTOR ( 6 downto 2 ); 
  signal I_USER_INT_SYS_DATA_O_PAD : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_USER_INT_SYS_ADDR_PAD : STD_LOGIC_VECTOR ( 21 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_USER_INT_SYS_DATA_I_PAD : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76 : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229 : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP135 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25 : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal I_DDR_CTLR_U_CSLT_CNTR_COUNT32 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
begin
  DDR_AD_8_KEEPER_2 : X_KEEPER
    port map (
      O => DDR_AD_8_KEEPER
    );
  DDR_AD_8_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_8_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(8),
      O => DDR_AD(8),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(8),
      CLK => DDR_AD_8_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_8_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(8)
    );
  DDR_AD_8_OFF_ASYNC_FF_GSR_OR_3 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_8_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_CMD_3 : X_BUF
    port map (
      I => SYS_CMD(3),
      O => I_USER_INT_SYS_CMD_PAD(3)
    );
  SYS_CMD_3_KEEPER_4 : X_KEEPER
    port map (
      O => SYS_CMD_3_KEEPER
    );
  I_USER_INT_U_CMD_REG_3_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(3)
    );
  SYS_DATA_O_28_KEEPER_5 : X_KEEPER
    port map (
      O => SYS_DATA_O_28_KEEPER
    );
  I_USER_INT_U_DO_28 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(28),
      O => SYS_DATA_O(28),
      CTL => I_USER_INT_U_DO_28_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_28_Q : X_FF
    port map (
      I => U_DATA_O(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(28)
    );
  DDR_AD_9_KEEPER_6 : X_KEEPER
    port map (
      O => DDR_AD_9_KEEPER
    );
  DDR_AD_9_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_9_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(9),
      O => DDR_AD(9),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(9),
      CLK => DDR_AD_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_9_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(9)
    );
  DDR_AD_9_OFF_ASYNC_FF_GSR_OR_7 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_9_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_CMD_4 : X_BUF
    port map (
      I => SYS_CMD(4),
      O => I_USER_INT_SYS_CMD_PAD(4)
    );
  SYS_CMD_4_KEEPER_8 : X_KEEPER
    port map (
      O => SYS_CMD_4_KEEPER
    );
  I_USER_INT_U_CMD_REG_4_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(4)
    );
  SYS_DATA_O_29_KEEPER_9 : X_KEEPER
    port map (
      O => SYS_DATA_O_29_KEEPER
    );
  I_USER_INT_U_DO_29 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(29),
      O => SYS_DATA_O(29),
      CTL => I_USER_INT_U_DO_29_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_29_Q : X_FF
    port map (
      I => U_DATA_O(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(29)
    );
  I_USER_INT_U_ADDR_0 : X_BUF
    port map (
      I => SYS_ADDR(0),
      O => I_USER_INT_SYS_ADDR_PAD(0)
    );
  SYS_ADDR_0_KEEPER_10 : X_KEEPER
    port map (
      O => SYS_ADDR_0_KEEPER
    );
  I_USER_INT_U_ADDR_REG_0_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(0)
    );
  I_USER_INT_U_CMD_5 : X_BUF
    port map (
      I => SYS_CMD(5),
      O => I_USER_INT_SYS_CMD_PAD(5)
    );
  SYS_CMD_5_KEEPER_11 : X_KEEPER
    port map (
      O => SYS_CMD_5_KEEPER
    );
  I_USER_INT_U_CMD_REG_5_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(5)
    );
  DDR_RASB_KEEPER_12 : X_KEEPER
    port map (
      O => DDR_RASB_KEEPER
    );
  DDR_RASB_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_RASB_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS : X_TRI
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O,
      O => DDR_RASB,
      CTL => I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1,
      CLK => DDR_RASB_CLKNOT,
      CE => VCC,
      SET => DDR_RASB_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O
    );
  DDR_RASB_OFF_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET1,
      O => DDR_RASB_OFF_SET
    );
  DDR_RASB_OFF_ASYNC_FF_GSR_OR_13 : X_OR2
    port map (
      I0 => DDR_RASB_OFF_SET,
      I1 => GSR,
      O => DDR_RASB_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_ADDR_1 : X_BUF
    port map (
      I => SYS_ADDR(1),
      O => I_USER_INT_SYS_ADDR_PAD(1)
    );
  SYS_ADDR_1_KEEPER_14 : X_KEEPER
    port map (
      O => SYS_ADDR_1_KEEPER
    );
  I_USER_INT_U_ADDR_REG_1_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(1)
    );
  I_USER_INT_U_CMD_6 : X_BUF
    port map (
      I => SYS_CMD(6),
      O => I_USER_INT_SYS_CMD_PAD(6)
    );
  SYS_CMD_6_KEEPER_15 : X_KEEPER
    port map (
      O => SYS_CMD_6_KEEPER
    );
  I_USER_INT_U_CMD_REG_6_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(6)
    );
  I_USER_INT_U_ADDR_2 : X_BUF
    port map (
      I => SYS_ADDR(2),
      O => I_USER_INT_SYS_ADDR_PAD(2)
    );
  SYS_ADDR_2_KEEPER_16 : X_KEEPER
    port map (
      O => SYS_ADDR_2_KEEPER
    );
  I_USER_INT_U_ADDR_REG_2_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(2)
    );
  SYS_REF_ACK_KEEPER_17 : X_KEEPER
    port map (
      O => SYS_REF_ACK_KEEPER
    );
  SYS_REF_ACK_OCEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => SYS_REF_ACK_OCENOT
    );
  I_USER_INT_U_REF_ACK0 : X_TRI
    port map (
      I => U_REF_ACK,
      O => SYS_REF_ACK,
      CTL => I_USER_INT_U_REF_ACK0_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_U_REF_ACK_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_CELL_116_U31_DATA2_0,
      CLK => FPGA_CLK,
      CE => SYS_REF_ACK_OCENOT,
      SET => GND,
      RST => GSR,
      O => U_REF_ACK
    );
  I_USER_INT_U_ADDR_3 : X_BUF
    port map (
      I => SYS_ADDR(3),
      O => I_USER_INT_SYS_ADDR_PAD(3)
    );
  SYS_ADDR_3_KEEPER_18 : X_KEEPER
    port map (
      O => SYS_ADDR_3_KEEPER
    );
  I_USER_INT_U_ADDR_REG_3_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_0_IBUF : X_BUF
    port map (
      I => DDR_DQ(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(0)
    );
  DDR_DQ_0_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(0),
      O => DDR_DQ_0_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_0_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(0),
      O => DDR_DQ(0),
      CTL => DDR_DQ_0_OUTBUF_GTS_AND
    );
  DDR_DQ_0_KEEPER_19 : X_KEEPER
    port map (
      O => DDR_DQ_0_KEEPER
    );
  DDR_DQ_0_OUTBUF_GTS_AND_20 : X_AND2
    port map (
      I0 => DDR_DQ_0_ENABLE,
      I1 => DDR_DQ_0_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_0_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(0),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(0),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(0)
    );
  I_USER_INT_U_DI_10 : X_BUF
    port map (
      I => SYS_DATA_I(10),
      O => I_USER_INT_SYS_DATA_I_PAD(10)
    );
  SYS_DATA_I_10_KEEPER_21 : X_KEEPER
    port map (
      O => SYS_DATA_I_10_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_10_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(10)
    );
  I_USER_INT_U_ADDR_4 : X_BUF
    port map (
      I => SYS_ADDR(4),
      O => I_USER_INT_SYS_ADDR_PAD(4)
    );
  SYS_ADDR_4_KEEPER_22 : X_KEEPER
    port map (
      O => SYS_ADDR_4_KEEPER
    );
  I_USER_INT_U_ADDR_REG_4_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(4)
    );
  DDR_CASB_KEEPER_23 : X_KEEPER
    port map (
      O => DDR_CASB_KEEPER
    );
  DDR_CASB_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_CASB_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS : X_TRI
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O,
      O => DDR_CASB,
      CTL => I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1,
      CLK => DDR_CASB_CLKNOT,
      CE => VCC,
      SET => DDR_CASB_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O
    );
  DDR_CASB_OFF_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET1,
      O => DDR_CASB_OFF_SET
    );
  DDR_CASB_OFF_ASYNC_FF_GSR_OR_24 : X_OR2
    port map (
      I0 => DDR_CASB_OFF_SET,
      I1 => GSR,
      O => DDR_CASB_OFF_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_1_IBUF : X_BUF
    port map (
      I => DDR_DQ(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(1)
    );
  DDR_DQ_1_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(1),
      O => DDR_DQ_1_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_1_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(1),
      O => DDR_DQ(1),
      CTL => DDR_DQ_1_OUTBUF_GTS_AND
    );
  DDR_DQ_1_KEEPER_25 : X_KEEPER
    port map (
      O => DDR_DQ_1_KEEPER
    );
  DDR_DQ_1_OUTBUF_GTS_AND_26 : X_AND2
    port map (
      I0 => DDR_DQ_1_ENABLE,
      I1 => DDR_DQ_1_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_1_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(1),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(1),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(1)
    );
  I_USER_INT_U_DI_11 : X_BUF
    port map (
      I => SYS_DATA_I(11),
      O => I_USER_INT_SYS_DATA_I_PAD(11)
    );
  SYS_DATA_I_11_KEEPER_27 : X_KEEPER
    port map (
      O => SYS_DATA_I_11_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_11_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(11)
    );
  I_USER_INT_U_ADDR_5 : X_BUF
    port map (
      I => SYS_ADDR(5),
      O => I_USER_INT_SYS_ADDR_PAD(5)
    );
  SYS_ADDR_5_KEEPER_28 : X_KEEPER
    port map (
      O => SYS_ADDR_5_KEEPER
    );
  I_USER_INT_U_ADDR_REG_5_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(5)
    );
  SYS_DATA_O_0_KEEPER_29 : X_KEEPER
    port map (
      O => SYS_DATA_O_0_KEEPER
    );
  I_USER_INT_U_DO_0 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(0),
      O => SYS_DATA_O(0),
      CTL => I_USER_INT_U_DO_0_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_0_Q : X_FF
    port map (
      I => U_DATA_O(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_2_IBUF : X_BUF
    port map (
      I => DDR_DQ(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(2)
    );
  DDR_DQ_2_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(2),
      O => DDR_DQ_2_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_2_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(2),
      O => DDR_DQ(2),
      CTL => DDR_DQ_2_OUTBUF_GTS_AND
    );
  DDR_DQ_2_KEEPER_30 : X_KEEPER
    port map (
      O => DDR_DQ_2_KEEPER
    );
  DDR_DQ_2_OUTBUF_GTS_AND_31 : X_AND2
    port map (
      I0 => DDR_DQ_2_ENABLE,
      I1 => DDR_DQ_2_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_2_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(2),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(2),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(2)
    );
  I_USER_INT_U_DI_20 : X_BUF
    port map (
      I => SYS_DATA_I(20),
      O => I_USER_INT_SYS_DATA_I_PAD(20)
    );
  SYS_DATA_I_20_KEEPER_32 : X_KEEPER
    port map (
      O => SYS_DATA_I_20_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_20_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(20)
    );
  I_USER_INT_U_DI_12 : X_BUF
    port map (
      I => SYS_DATA_I(12),
      O => I_USER_INT_SYS_DATA_I_PAD(12)
    );
  SYS_DATA_I_12_KEEPER_33 : X_KEEPER
    port map (
      O => SYS_DATA_I_12_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_12_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(12)
    );
  I_USER_INT_U_ADDR_6 : X_BUF
    port map (
      I => SYS_ADDR(6),
      O => I_USER_INT_SYS_ADDR_PAD(6)
    );
  SYS_ADDR_6_KEEPER_34 : X_KEEPER
    port map (
      O => SYS_ADDR_6_KEEPER
    );
  I_USER_INT_U_ADDR_REG_6_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(6)
    );
  SYS_DATA_O_1_KEEPER_35 : X_KEEPER
    port map (
      O => SYS_DATA_O_1_KEEPER
    );
  I_USER_INT_U_DO_1 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(1),
      O => SYS_DATA_O(1),
      CTL => I_USER_INT_U_DO_1_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_1_Q : X_FF
    port map (
      I => U_DATA_O(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_3_IBUF : X_BUF
    port map (
      I => DDR_DQ(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(3)
    );
  DDR_DQ_3_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(3),
      O => DDR_DQ_3_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_3_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(3),
      O => DDR_DQ(3),
      CTL => DDR_DQ_3_OUTBUF_GTS_AND
    );
  DDR_DQ_3_KEEPER_36 : X_KEEPER
    port map (
      O => DDR_DQ_3_KEEPER
    );
  DDR_DQ_3_OUTBUF_GTS_AND_37 : X_AND2
    port map (
      I0 => DDR_DQ_3_ENABLE,
      I1 => DDR_DQ_3_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_3_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(3),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(3),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(3)
    );
  I_USER_INT_U_DI_13 : X_BUF
    port map (
      I => SYS_DATA_I(13),
      O => I_USER_INT_SYS_DATA_I_PAD(13)
    );
  SYS_DATA_I_13_KEEPER_38 : X_KEEPER
    port map (
      O => SYS_DATA_I_13_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_13_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(13)
    );
  I_USER_INT_U_DI_21 : X_BUF
    port map (
      I => SYS_DATA_I(21),
      O => I_USER_INT_SYS_DATA_I_PAD(21)
    );
  SYS_DATA_I_21_KEEPER_39 : X_KEEPER
    port map (
      O => SYS_DATA_I_21_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_21_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(21)
    );
  DDR_DQS_0_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(0),
      O => DDR_DQS_0_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS0 : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(0),
      O => DDR_DQS(0),
      CTL => DDR_DQS_0_OUTBUF_GTS_AND
    );
  DDR_DQS_0_KEEPER_40 : X_KEEPER
    port map (
      O => DDR_DQS_0_KEEPER
    );
  DDR_DQS_0_OCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_0_CLKNOT
    );
  DDR_DQS_0_TCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_0_CLKNOT_0
    );
  DDR_DQS_0_OUTBUF_GTS_AND_41 : X_AND2
    port map (
      I0 => DDR_DQS_0_ENABLE,
      I1 => DDR_DQS_0_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQS_0_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(0),
      CLK => DDR_DQS_0_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(0),
      CLK => DDR_DQS_0_CLKNOT_0,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(0)
    );
  I_USER_INT_U_ADDR_7 : X_BUF
    port map (
      I => SYS_ADDR(7),
      O => I_USER_INT_SYS_ADDR_PAD(7)
    );
  SYS_ADDR_7_KEEPER_42 : X_KEEPER
    port map (
      O => SYS_ADDR_7_KEEPER
    );
  I_USER_INT_U_ADDR_REG_7_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(7)
    );
  SYS_DATA_O_2_KEEPER_43 : X_KEEPER
    port map (
      O => SYS_DATA_O_2_KEEPER
    );
  I_USER_INT_U_DO_2 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(2),
      O => SYS_DATA_O(2),
      CTL => I_USER_INT_U_DO_2_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_2_Q : X_FF
    port map (
      I => U_DATA_O(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_4_IBUF : X_BUF
    port map (
      I => DDR_DQ(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(4)
    );
  DDR_DQ_4_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(4),
      O => DDR_DQ_4_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_4_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(4),
      O => DDR_DQ(4),
      CTL => DDR_DQ_4_OUTBUF_GTS_AND
    );
  DDR_DQ_4_KEEPER_44 : X_KEEPER
    port map (
      O => DDR_DQ_4_KEEPER
    );
  DDR_DQ_4_OUTBUF_GTS_AND_45 : X_AND2
    port map (
      I0 => DDR_DQ_4_ENABLE,
      I1 => DDR_DQ_4_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_4_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(4),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(4),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(4)
    );
  I_USER_INT_U_DI_22 : X_BUF
    port map (
      I => SYS_DATA_I(22),
      O => I_USER_INT_SYS_DATA_I_PAD(22)
    );
  SYS_DATA_I_22_KEEPER_46 : X_KEEPER
    port map (
      O => SYS_DATA_I_22_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_22_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(22)
    );
  I_USER_INT_U_DI_30 : X_BUF
    port map (
      I => SYS_DATA_I(30),
      O => I_USER_INT_SYS_DATA_I_PAD(30)
    );
  SYS_DATA_I_30_KEEPER_47 : X_KEEPER
    port map (
      O => SYS_DATA_I_30_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_30_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(30)
    );
  I_USER_INT_U_DI_14 : X_BUF
    port map (
      I => SYS_DATA_I(14),
      O => I_USER_INT_SYS_DATA_I_PAD(14)
    );
  SYS_DATA_I_14_KEEPER_48 : X_KEEPER
    port map (
      O => SYS_DATA_I_14_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_14_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(14)
    );
  DDR_DQS_1_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(1),
      O => DDR_DQS_1_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS1 : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(1),
      O => DDR_DQS(1),
      CTL => DDR_DQS_1_OUTBUF_GTS_AND
    );
  DDR_DQS_1_KEEPER_49 : X_KEEPER
    port map (
      O => DDR_DQS_1_KEEPER
    );
  DDR_DQS_1_OCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_1_CLKNOT
    );
  DDR_DQS_1_TCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_1_CLKNOT_1
    );
  DDR_DQS_1_OUTBUF_GTS_AND_50 : X_AND2
    port map (
      I0 => DDR_DQS_1_ENABLE,
      I1 => DDR_DQS_1_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQS_1_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(1),
      CLK => DDR_DQS_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(1),
      CLK => DDR_DQS_1_CLKNOT_1,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(1)
    );
  I_USER_INT_U_ADDR_8 : X_BUF
    port map (
      I => SYS_ADDR(8),
      O => I_USER_INT_SYS_ADDR_PAD(8)
    );
  SYS_ADDR_8_KEEPER_51 : X_KEEPER
    port map (
      O => SYS_ADDR_8_KEEPER
    );
  I_USER_INT_U_ADDR_REG_8_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(8)
    );
  SYS_DATA_O_3_KEEPER_52 : X_KEEPER
    port map (
      O => SYS_DATA_O_3_KEEPER
    );
  I_USER_INT_U_DO_3 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(3),
      O => SYS_DATA_O(3),
      CTL => I_USER_INT_U_DO_3_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_3_Q : X_FF
    port map (
      I => U_DATA_O(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_5_IBUF : X_BUF
    port map (
      I => DDR_DQ(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(5)
    );
  DDR_DQ_5_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(5),
      O => DDR_DQ_5_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_5_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(5),
      O => DDR_DQ(5),
      CTL => DDR_DQ_5_OUTBUF_GTS_AND
    );
  DDR_DQ_5_KEEPER_53 : X_KEEPER
    port map (
      O => DDR_DQ_5_KEEPER
    );
  DDR_DQ_5_OUTBUF_GTS_AND_54 : X_AND2
    port map (
      I0 => DDR_DQ_5_ENABLE,
      I1 => DDR_DQ_5_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_5_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(5),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(5),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(5)
    );
  I_USER_INT_U_RESET0 : X_BUF
    port map (
      I => SYS_RESET_N,
      O => I_USER_INT_SYS_RESET_N_PAD
    );
  SYS_RESET_N_KEEPER_55 : X_KEEPER
    port map (
      O => SYS_RESET_N_KEEPER
    );
  I_USER_INT_U_RESET_N_REG : X_FF
    port map (
      I => I_USER_INT_SYS_RESET_N_PAD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_RESET_N
    );
  I_USER_INT_U_DI_15 : X_BUF
    port map (
      I => SYS_DATA_I(15),
      O => I_USER_INT_SYS_DATA_I_PAD(15)
    );
  SYS_DATA_I_15_KEEPER_56 : X_KEEPER
    port map (
      O => SYS_DATA_I_15_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_15_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(15)
    );
  I_USER_INT_U_DI_31 : X_BUF
    port map (
      I => SYS_DATA_I(31),
      O => I_USER_INT_SYS_DATA_I_PAD(31)
    );
  SYS_DATA_I_31_KEEPER_57 : X_KEEPER
    port map (
      O => SYS_DATA_I_31_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_31_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(31)
    );
  I_USER_INT_U_DI_23 : X_BUF
    port map (
      I => SYS_DATA_I(23),
      O => I_USER_INT_SYS_DATA_I_PAD(23)
    );
  SYS_DATA_I_23_KEEPER_58 : X_KEEPER
    port map (
      O => SYS_DATA_I_23_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_23_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(23)
    );
  DDR_CKE_KEEPER_59 : X_KEEPER
    port map (
      O => DDR_CKE_KEEPER
    );
  DDR_CKE_LOGIC_ONE_60 : X_ONE
    port map (
      O => DDR_CKE_LOGIC_ONE
    );
  I_DDR_CTLR_O_DDR_CKE : X_TRI
    port map (
      I => DDR_CKE_LOGIC_ONE,
      O => DDR_CKE,
      CTL => I_DDR_CTLR_O_DDR_CKE_2_INV
    );
  I_USER_INT_U_ADDR_9 : X_BUF
    port map (
      I => SYS_ADDR(9),
      O => I_USER_INT_SYS_ADDR_PAD(9)
    );
  SYS_ADDR_9_KEEPER_61 : X_KEEPER
    port map (
      O => SYS_ADDR_9_KEEPER
    );
  I_USER_INT_U_ADDR_REG_9_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(9)
    );
  SYS_DATA_O_4_KEEPER_62 : X_KEEPER
    port map (
      O => SYS_DATA_O_4_KEEPER
    );
  I_USER_INT_U_DO_4 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(4),
      O => SYS_DATA_O(4),
      CTL => I_USER_INT_U_DO_4_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_4_Q : X_FF
    port map (
      I => U_DATA_O(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_6_IBUF : X_BUF
    port map (
      I => DDR_DQ(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(6)
    );
  DDR_DQ_6_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(6),
      O => DDR_DQ_6_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_6_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(6),
      O => DDR_DQ(6),
      CTL => DDR_DQ_6_OUTBUF_GTS_AND
    );
  DDR_DQ_6_KEEPER_63 : X_KEEPER
    port map (
      O => DDR_DQ_6_KEEPER
    );
  DDR_DQ_6_OUTBUF_GTS_AND_64 : X_AND2
    port map (
      I0 => DDR_DQ_6_ENABLE,
      I1 => DDR_DQ_6_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_6_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(6),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(6),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(6)
    );
  I_USER_INT_U_DI_24 : X_BUF
    port map (
      I => SYS_DATA_I(24),
      O => I_USER_INT_SYS_DATA_I_PAD(24)
    );
  SYS_DATA_I_24_KEEPER_65 : X_KEEPER
    port map (
      O => SYS_DATA_I_24_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_24_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(24)
    );
  I_USER_INT_U_DI_16 : X_BUF
    port map (
      I => SYS_DATA_I(16),
      O => I_USER_INT_SYS_DATA_I_PAD(16)
    );
  SYS_DATA_I_16_KEEPER_66 : X_KEEPER
    port map (
      O => SYS_DATA_I_16_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_16_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(16)
    );
  I_USER_INT_U_ADDR_10 : X_BUF
    port map (
      I => SYS_ADDR(10),
      O => I_USER_INT_SYS_ADDR_PAD(10)
    );
  SYS_ADDR_10_KEEPER_67 : X_KEEPER
    port map (
      O => SYS_ADDR_10_KEEPER
    );
  I_USER_INT_U_ADDR_REG_10_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(10)
    );
  DDR_WEB_KEEPER_68 : X_KEEPER
    port map (
      O => DDR_WEB_KEEPER
    );
  DDR_WEB_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_WEB_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB : X_TRI
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O,
      O => DDR_WEB,
      CTL => I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1,
      CLK => DDR_WEB_CLKNOT,
      CE => VCC,
      SET => DDR_WEB_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O
    );
  DDR_WEB_OFF_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET1,
      O => DDR_WEB_OFF_SET
    );
  DDR_WEB_OFF_ASYNC_FF_GSR_OR_69 : X_OR2
    port map (
      I0 => DDR_WEB_OFF_SET,
      I1 => GSR,
      O => DDR_WEB_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_5_KEEPER_70 : X_KEEPER
    port map (
      O => SYS_DATA_O_5_KEEPER
    );
  I_USER_INT_U_DO_5 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(5),
      O => SYS_DATA_O(5),
      CTL => I_USER_INT_U_DO_5_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_5_Q : X_FF
    port map (
      I => U_DATA_O(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_7_IBUF : X_BUF
    port map (
      I => DDR_DQ(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(7)
    );
  DDR_DQ_7_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(7),
      O => DDR_DQ_7_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_7_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(7),
      O => DDR_DQ(7),
      CTL => DDR_DQ_7_OUTBUF_GTS_AND
    );
  DDR_DQ_7_KEEPER_71 : X_KEEPER
    port map (
      O => DDR_DQ_7_KEEPER
    );
  DDR_DQ_7_OUTBUF_GTS_AND_72 : X_AND2
    port map (
      I0 => DDR_DQ_7_ENABLE,
      I1 => DDR_DQ_7_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_7_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(7),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(7),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(7)
    );
  I_USER_INT_U_DI_17 : X_BUF
    port map (
      I => SYS_DATA_I(17),
      O => I_USER_INT_SYS_DATA_I_PAD(17)
    );
  SYS_DATA_I_17_KEEPER_73 : X_KEEPER
    port map (
      O => SYS_DATA_I_17_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_17_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(17)
    );
  I_USER_INT_U_DI_25 : X_BUF
    port map (
      I => SYS_DATA_I(25),
      O => I_USER_INT_SYS_DATA_I_PAD(25)
    );
  SYS_DATA_I_25_KEEPER_74 : X_KEEPER
    port map (
      O => SYS_DATA_I_25_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_25_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(25)
    );
  I_USER_INT_U_ADDR_11 : X_BUF
    port map (
      I => SYS_ADDR(11),
      O => I_USER_INT_SYS_ADDR_PAD(11)
    );
  SYS_ADDR_11_KEEPER_75 : X_KEEPER
    port map (
      O => SYS_ADDR_11_KEEPER
    );
  I_USER_INT_U_ADDR_REG_11_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(11)
    );
  SYS_DATA_O_6_KEEPER_76 : X_KEEPER
    port map (
      O => SYS_DATA_O_6_KEEPER
    );
  I_USER_INT_U_DO_6 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(6),
      O => SYS_DATA_O(6),
      CTL => I_USER_INT_U_DO_6_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_6_Q : X_FF
    port map (
      I => U_DATA_O(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_8_IBUF : X_BUF
    port map (
      I => DDR_DQ(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(8)
    );
  DDR_DQ_8_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(8),
      O => DDR_DQ_8_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_8_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(8),
      O => DDR_DQ(8),
      CTL => DDR_DQ_8_OUTBUF_GTS_AND
    );
  DDR_DQ_8_KEEPER_77 : X_KEEPER
    port map (
      O => DDR_DQ_8_KEEPER
    );
  DDR_DQ_8_OUTBUF_GTS_AND_78 : X_AND2
    port map (
      I0 => DDR_DQ_8_ENABLE,
      I1 => DDR_DQ_8_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_8_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(8),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(8),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(8)
    );
  I_USER_INT_U_DI_26 : X_BUF
    port map (
      I => SYS_DATA_I(26),
      O => I_USER_INT_SYS_DATA_I_PAD(26)
    );
  SYS_DATA_I_26_KEEPER_79 : X_KEEPER
    port map (
      O => SYS_DATA_I_26_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_26_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(26)
    );
  I_USER_INT_U_DI_18 : X_BUF
    port map (
      I => SYS_DATA_I(18),
      O => I_USER_INT_SYS_DATA_I_PAD(18)
    );
  SYS_DATA_I_18_KEEPER_80 : X_KEEPER
    port map (
      O => SYS_DATA_I_18_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_18_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(18)
    );
  I_USER_INT_U_ADDR_20 : X_BUF
    port map (
      I => SYS_ADDR(20),
      O => I_USER_INT_SYS_ADDR_PAD(20)
    );
  SYS_ADDR_20_KEEPER_81 : X_KEEPER
    port map (
      O => SYS_ADDR_20_KEEPER
    );
  I_USER_INT_U_ADDR_REG_20_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(20)
    );
  I_USER_INT_U_ADDR_12 : X_BUF
    port map (
      I => SYS_ADDR(12),
      O => I_USER_INT_SYS_ADDR_PAD(12)
    );
  SYS_ADDR_12_KEEPER_82 : X_KEEPER
    port map (
      O => SYS_ADDR_12_KEEPER
    );
  I_USER_INT_U_ADDR_REG_12_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(12)
    );
  SYS_DATA_O_7_KEEPER_83 : X_KEEPER
    port map (
      O => SYS_DATA_O_7_KEEPER
    );
  I_USER_INT_U_DO_7 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(7),
      O => SYS_DATA_O(7),
      CTL => I_USER_INT_U_DO_7_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_7_Q : X_FF
    port map (
      I => U_DATA_O(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(7)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_9_IBUF : X_BUF
    port map (
      I => DDR_DQ(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(9)
    );
  DDR_DQ_9_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(9),
      O => DDR_DQ_9_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_9_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(9),
      O => DDR_DQ(9),
      CTL => DDR_DQ_9_OUTBUF_GTS_AND
    );
  DDR_DQ_9_KEEPER_84 : X_KEEPER
    port map (
      O => DDR_DQ_9_KEEPER
    );
  DDR_DQ_9_OUTBUF_GTS_AND_85 : X_AND2
    port map (
      I0 => DDR_DQ_9_ENABLE,
      I1 => DDR_DQ_9_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_9_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(9),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(9),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(9)
    );
  I_USER_INT_U_DI_19 : X_BUF
    port map (
      I => SYS_DATA_I(19),
      O => I_USER_INT_SYS_DATA_I_PAD(19)
    );
  SYS_DATA_I_19_KEEPER_86 : X_KEEPER
    port map (
      O => SYS_DATA_I_19_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_19_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(19)
    );
  I_USER_INT_U_DI_27 : X_BUF
    port map (
      I => SYS_DATA_I(27),
      O => I_USER_INT_SYS_DATA_I_PAD(27)
    );
  SYS_DATA_I_27_KEEPER_87 : X_KEEPER
    port map (
      O => SYS_DATA_I_27_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_27_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(27)
    );
  I_USER_INT_U_ADDR_13 : X_BUF
    port map (
      I => SYS_ADDR(13),
      O => I_USER_INT_SYS_ADDR_PAD(13)
    );
  SYS_ADDR_13_KEEPER_88 : X_KEEPER
    port map (
      O => SYS_ADDR_13_KEEPER
    );
  I_USER_INT_U_ADDR_REG_13_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(13)
    );
  I_USER_INT_U_ADDR_21 : X_BUF
    port map (
      I => SYS_ADDR(21),
      O => I_USER_INT_SYS_ADDR_PAD(21)
    );
  SYS_ADDR_21_KEEPER_89 : X_KEEPER
    port map (
      O => SYS_ADDR_21_KEEPER
    );
  I_USER_INT_U_ADDR_REG_21_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(21)
    );
  I_USER_INT_U_DI_0 : X_BUF
    port map (
      I => SYS_DATA_I(0),
      O => I_USER_INT_SYS_DATA_I_PAD(0)
    );
  SYS_DATA_I_0_KEEPER_90 : X_KEEPER
    port map (
      O => SYS_DATA_I_0_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_0_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(0)
    );
  DDR_CLK_KEEPER_91 : X_KEEPER
    port map (
      O => DDR_CLK_KEEPER
    );
  DDR_CLK_OUTMUX_92 : X_BUF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O,
      O => DDR_CLK_OUTMUX
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT : X_TRI
    port map (
      I => DDR_CLK_OUTMUX,
      O => DDR_CLK,
      CTL => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV
    );
  SYS_DATA_O_8_KEEPER_93 : X_KEEPER
    port map (
      O => SYS_DATA_O_8_KEEPER
    );
  I_USER_INT_U_DO_8 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(8),
      O => SYS_DATA_O(8),
      CTL => I_USER_INT_U_DO_8_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_8_Q : X_FF
    port map (
      I => U_DATA_O(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(8)
    );
  I_USER_INT_U_DI_28 : X_BUF
    port map (
      I => SYS_DATA_I(28),
      O => I_USER_INT_SYS_DATA_I_PAD(28)
    );
  SYS_DATA_I_28_KEEPER_94 : X_KEEPER
    port map (
      O => SYS_DATA_I_28_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_28_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(28)
    );
  I_USER_INT_U_ADDR_14 : X_BUF
    port map (
      I => SYS_ADDR(14),
      O => I_USER_INT_SYS_ADDR_PAD(14)
    );
  SYS_ADDR_14_KEEPER_95 : X_KEEPER
    port map (
      O => SYS_ADDR_14_KEEPER
    );
  I_USER_INT_U_ADDR_REG_14_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(14)
    );
  I_USER_INT_U_DI_1 : X_BUF
    port map (
      I => SYS_DATA_I(1),
      O => I_USER_INT_SYS_DATA_I_PAD(1)
    );
  SYS_DATA_I_1_KEEPER_96 : X_KEEPER
    port map (
      O => SYS_DATA_I_1_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_1_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(1)
    );
  SYS_DATA_O_9_KEEPER_97 : X_KEEPER
    port map (
      O => SYS_DATA_O_9_KEEPER
    );
  I_USER_INT_U_DO_9 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(9),
      O => SYS_DATA_O(9),
      CTL => I_USER_INT_U_DO_9_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_9_Q : X_FF
    port map (
      I => U_DATA_O(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(9)
    );
  I_USER_INT_U_DI_29 : X_BUF
    port map (
      I => SYS_DATA_I(29),
      O => I_USER_INT_SYS_DATA_I_PAD(29)
    );
  SYS_DATA_I_29_KEEPER_98 : X_KEEPER
    port map (
      O => SYS_DATA_I_29_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_29_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(29)
    );
  I_USER_INT_U_ADDR_15 : X_BUF
    port map (
      I => SYS_ADDR(15),
      O => I_USER_INT_SYS_ADDR_PAD(15)
    );
  SYS_ADDR_15_KEEPER_99 : X_KEEPER
    port map (
      O => SYS_ADDR_15_KEEPER
    );
  I_USER_INT_U_ADDR_REG_15_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(15)
    );
  I_USER_INT_U_DI_2 : X_BUF
    port map (
      I => SYS_DATA_I(2),
      O => I_USER_INT_SYS_DATA_I_PAD(2)
    );
  SYS_DATA_I_2_KEEPER_100 : X_KEEPER
    port map (
      O => SYS_DATA_I_2_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_2_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(2)
    );
  DDR_CSB_KEEPER_101 : X_KEEPER
    port map (
      O => DDR_CSB_KEEPER
    );
  DDR_CSB_LOGIC_ZERO_102 : X_ZERO
    port map (
      O => DDR_CSB_LOGIC_ZERO
    );
  I_DDR_CTLR_O_DDR_CSB : X_TRI
    port map (
      I => DDR_CSB_LOGIC_ZERO,
      O => DDR_CSB,
      CTL => I_DDR_CTLR_O_DDR_CSB_2_INV
    );
  I_USER_INT_U_ADDR_16 : X_BUF
    port map (
      I => SYS_ADDR(16),
      O => I_USER_INT_SYS_ADDR_PAD(16)
    );
  SYS_ADDR_16_KEEPER_103 : X_KEEPER
    port map (
      O => SYS_ADDR_16_KEEPER
    );
  I_USER_INT_U_ADDR_REG_16_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(16)
    );
  I_USER_INT_U_DI_3 : X_BUF
    port map (
      I => SYS_DATA_I(3),
      O => I_USER_INT_SYS_DATA_I_PAD(3)
    );
  SYS_DATA_I_3_KEEPER_104 : X_KEEPER
    port map (
      O => SYS_DATA_I_3_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_3_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_10_IBUF : X_BUF
    port map (
      I => DDR_DQ(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(10)
    );
  DDR_DQ_10_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(10),
      O => DDR_DQ_10_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_10_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(10),
      O => DDR_DQ(10),
      CTL => DDR_DQ_10_OUTBUF_GTS_AND
    );
  DDR_DQ_10_KEEPER_105 : X_KEEPER
    port map (
      O => DDR_DQ_10_KEEPER
    );
  DDR_DQ_10_OUTBUF_GTS_AND_106 : X_AND2
    port map (
      I0 => DDR_DQ_10_ENABLE,
      I1 => DDR_DQ_10_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_10_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(10),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(10),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(10)
    );
  I_USER_INT_U_ADDR_17 : X_BUF
    port map (
      I => SYS_ADDR(17),
      O => I_USER_INT_SYS_ADDR_PAD(17)
    );
  SYS_ADDR_17_KEEPER_107 : X_KEEPER
    port map (
      O => SYS_ADDR_17_KEEPER
    );
  I_USER_INT_U_ADDR_REG_17_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(17)
    );
  I_USER_INT_U_DI_4 : X_BUF
    port map (
      I => SYS_DATA_I(4),
      O => I_USER_INT_SYS_DATA_I_PAD(4)
    );
  SYS_DATA_I_4_KEEPER_108 : X_KEEPER
    port map (
      O => SYS_DATA_I_4_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_4_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_11_IBUF : X_BUF
    port map (
      I => DDR_DQ(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(11)
    );
  DDR_DQ_11_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(11),
      O => DDR_DQ_11_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_11_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(11),
      O => DDR_DQ(11),
      CTL => DDR_DQ_11_OUTBUF_GTS_AND
    );
  DDR_DQ_11_KEEPER_109 : X_KEEPER
    port map (
      O => DDR_DQ_11_KEEPER
    );
  DDR_DQ_11_OUTBUF_GTS_AND_110 : X_AND2
    port map (
      I0 => DDR_DQ_11_ENABLE,
      I1 => DDR_DQ_11_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_11_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(11),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(11),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(11)
    );
  I_USER_INT_U_ADDR_18 : X_BUF
    port map (
      I => SYS_ADDR(18),
      O => I_USER_INT_SYS_ADDR_PAD(18)
    );
  SYS_ADDR_18_KEEPER_111 : X_KEEPER
    port map (
      O => SYS_ADDR_18_KEEPER
    );
  I_USER_INT_U_ADDR_REG_18_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(18)
    );
  I_USER_INT_U_DI_5 : X_BUF
    port map (
      I => SYS_DATA_I(5),
      O => I_USER_INT_SYS_DATA_I_PAD(5)
    );
  SYS_DATA_I_5_KEEPER_112 : X_KEEPER
    port map (
      O => SYS_DATA_I_5_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_5_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(5)
    );
  DDR_BA_0_KEEPER_113 : X_KEEPER
    port map (
      O => DDR_BA_0_KEEPER
    );
  DDR_BA_0_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_BA_0_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(0),
      O => DDR_BA(0),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(0),
      CLK => DDR_BA_0_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_BA_0_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(0)
    );
  DDR_BA_0_OFF_ASYNC_FF_GSR_OR_114 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET2,
      I1 => GSR,
      O => DDR_BA_0_OFF_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_12_IBUF : X_BUF
    port map (
      I => DDR_DQ(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(12)
    );
  DDR_DQ_12_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(12),
      O => DDR_DQ_12_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_12_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(12),
      O => DDR_DQ(12),
      CTL => DDR_DQ_12_OUTBUF_GTS_AND
    );
  DDR_DQ_12_KEEPER_115 : X_KEEPER
    port map (
      O => DDR_DQ_12_KEEPER
    );
  DDR_DQ_12_OUTBUF_GTS_AND_116 : X_AND2
    port map (
      I0 => DDR_DQ_12_ENABLE,
      I1 => DDR_DQ_12_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_12_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(12),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(12),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(12)
    );
  DDR_CLKB_KEEPER_117 : X_KEEPER
    port map (
      O => DDR_CLKB_KEEPER
    );
  DDR_CLKB_OUTMUX_118 : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O,
      O => DDR_CLKB_OUTMUX
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT : X_TRI
    port map (
      I => DDR_CLKB_OUTMUX,
      O => DDR_CLKB,
      CTL => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV
    );
  I_USER_INT_U_ADDR_19 : X_BUF
    port map (
      I => SYS_ADDR(19),
      O => I_USER_INT_SYS_ADDR_PAD(19)
    );
  SYS_ADDR_19_KEEPER_119 : X_KEEPER
    port map (
      O => SYS_ADDR_19_KEEPER
    );
  I_USER_INT_U_ADDR_REG_19_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(19)
    );
  I_USER_INT_U_DI_6 : X_BUF
    port map (
      I => SYS_DATA_I(6),
      O => I_USER_INT_SYS_DATA_I_PAD(6)
    );
  SYS_DATA_I_6_KEEPER_120 : X_KEEPER
    port map (
      O => SYS_DATA_I_6_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_6_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(6)
    );
  DDR_DM_0_KEEPER_121 : X_KEEPER
    port map (
      O => DDR_DM_0_KEEPER
    );
  DDR_DM_0_LOGIC_ZERO_122 : X_ZERO
    port map (
      O => DDR_DM_0_LOGIC_ZERO
    );
  I_DDR_CTLR_O_DDR_DQM0 : X_TRI
    port map (
      I => DDR_DM_0_LOGIC_ZERO,
      O => DDR_DM(0),
      CTL => I_DDR_CTLR_O_DDR_DQM0_2_INV
    );
  DDR_BA_1_KEEPER_123 : X_KEEPER
    port map (
      O => DDR_BA_1_KEEPER
    );
  DDR_BA_1_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_BA_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(1),
      O => DDR_BA(1),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(1),
      CLK => DDR_BA_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_BA_1_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(1)
    );
  DDR_BA_1_OFF_ASYNC_FF_GSR_OR_124 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET2,
      I1 => GSR,
      O => DDR_BA_1_OFF_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_13_IBUF : X_BUF
    port map (
      I => DDR_DQ(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(13)
    );
  DDR_DQ_13_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(13),
      O => DDR_DQ_13_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_13_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(13),
      O => DDR_DQ(13),
      CTL => DDR_DQ_13_OUTBUF_GTS_AND
    );
  DDR_DQ_13_KEEPER_125 : X_KEEPER
    port map (
      O => DDR_DQ_13_KEEPER
    );
  DDR_DQ_13_OUTBUF_GTS_AND_126 : X_AND2
    port map (
      I0 => DDR_DQ_13_ENABLE,
      I1 => DDR_DQ_13_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_13_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(13),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(13),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(13)
    );
  I_USER_INT_U_DI_7 : X_BUF
    port map (
      I => SYS_DATA_I(7),
      O => I_USER_INT_SYS_DATA_I_PAD(7)
    );
  SYS_DATA_I_7_KEEPER_127 : X_KEEPER
    port map (
      O => SYS_DATA_I_7_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_7_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(7)
    );
  DDR_DM_1_KEEPER_128 : X_KEEPER
    port map (
      O => DDR_DM_1_KEEPER
    );
  DDR_DM_1_LOGIC_ZERO_129 : X_ZERO
    port map (
      O => DDR_DM_1_LOGIC_ZERO
    );
  I_DDR_CTLR_O_DDR_DQM1 : X_TRI
    port map (
      I => DDR_DM_1_LOGIC_ZERO,
      O => DDR_DM(1),
      CTL => I_DDR_CTLR_O_DDR_DQM1_2_INV
    );
  SYS_DATA_O_10_KEEPER_130 : X_KEEPER
    port map (
      O => SYS_DATA_O_10_KEEPER
    );
  I_USER_INT_U_DO_10 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(10),
      O => SYS_DATA_O(10),
      CTL => I_USER_INT_U_DO_10_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_10_Q : X_FF
    port map (
      I => U_DATA_O(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_14_IBUF : X_BUF
    port map (
      I => DDR_DQ(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(14)
    );
  DDR_DQ_14_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(14),
      O => DDR_DQ_14_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_14_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(14),
      O => DDR_DQ(14),
      CTL => DDR_DQ_14_OUTBUF_GTS_AND
    );
  DDR_DQ_14_KEEPER_131 : X_KEEPER
    port map (
      O => DDR_DQ_14_KEEPER
    );
  DDR_DQ_14_OUTBUF_GTS_AND_132 : X_AND2
    port map (
      I0 => DDR_DQ_14_ENABLE,
      I1 => DDR_DQ_14_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_14_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(14),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(14),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(14)
    );
  I_USER_INT_U_DI_8 : X_BUF
    port map (
      I => SYS_DATA_I(8),
      O => I_USER_INT_SYS_DATA_I_PAD(8)
    );
  SYS_DATA_I_8_KEEPER_133 : X_KEEPER
    port map (
      O => SYS_DATA_I_8_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_8_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(8)
    );
  SYS_DATA_O_11_KEEPER_134 : X_KEEPER
    port map (
      O => SYS_DATA_O_11_KEEPER
    );
  I_USER_INT_U_DO_11 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(11),
      O => SYS_DATA_O(11),
      CTL => I_USER_INT_U_DO_11_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_11_Q : X_FF
    port map (
      I => U_DATA_O(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_15_IBUF : X_BUF
    port map (
      I => DDR_DQ(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(15)
    );
  DDR_DQ_15_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(15),
      O => DDR_DQ_15_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_15_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(15),
      O => DDR_DQ(15),
      CTL => DDR_DQ_15_OUTBUF_GTS_AND
    );
  DDR_DQ_15_KEEPER_135 : X_KEEPER
    port map (
      O => DDR_DQ_15_KEEPER
    );
  DDR_DQ_15_OUTBUF_GTS_AND_136 : X_AND2
    port map (
      I0 => DDR_DQ_15_ENABLE,
      I1 => DDR_DQ_15_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_15_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(15),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(15),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(15)
    );
  I_USER_INT_U_DI_9 : X_BUF
    port map (
      I => SYS_DATA_I(9),
      O => I_USER_INT_SYS_DATA_I_PAD(9)
    );
  SYS_DATA_I_9_KEEPER_137 : X_KEEPER
    port map (
      O => SYS_DATA_I_9_KEEPER
    );
  I_USER_INT_U_DATA_I_REG_9_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(9)
    );
  DDR_AD_10_KEEPER_138 : X_KEEPER
    port map (
      O => DDR_AD_10_KEEPER
    );
  DDR_AD_10_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_10_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(10),
      O => DDR_AD(10),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(10),
      CLK => DDR_AD_10_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_10_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(10)
    );
  DDR_AD_10_OFF_ASYNC_FF_GSR_OR_139 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_10_OFF_ASYNC_FF_GSR_OR
    );
  DDR_AD_0_KEEPER_140 : X_KEEPER
    port map (
      O => DDR_AD_0_KEEPER
    );
  DDR_AD_0_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_0_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(0),
      O => DDR_AD(0),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(0),
      CLK => DDR_AD_0_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_0_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(0)
    );
  DDR_AD_0_OFF_ASYNC_FF_GSR_OR_141 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_0_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_20_KEEPER_142 : X_KEEPER
    port map (
      O => SYS_DATA_O_20_KEEPER
    );
  I_USER_INT_U_DO_20 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(20),
      O => SYS_DATA_O(20),
      CTL => I_USER_INT_U_DO_20_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_20_Q : X_FF
    port map (
      I => U_DATA_O(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(20)
    );
  SYS_DATA_O_12_KEEPER_143 : X_KEEPER
    port map (
      O => SYS_DATA_O_12_KEEPER
    );
  I_USER_INT_U_DO_12 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(12),
      O => SYS_DATA_O(12),
      CTL => I_USER_INT_U_DO_12_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_12_Q : X_FF
    port map (
      I => U_DATA_O(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(12)
    );
  DDR_AD_11_KEEPER_144 : X_KEEPER
    port map (
      O => DDR_AD_11_KEEPER
    );
  DDR_AD_11_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_11_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(11),
      O => DDR_AD(11),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(11),
      CLK => DDR_AD_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_11_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(11)
    );
  DDR_AD_11_OFF_ASYNC_FF_GSR_OR_145 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_11_OFF_ASYNC_FF_GSR_OR
    );
  DDR_AD_1_KEEPER_146 : X_KEEPER
    port map (
      O => DDR_AD_1_KEEPER
    );
  DDR_AD_1_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(1),
      O => DDR_AD(1),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(1),
      CLK => DDR_AD_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_1_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(1)
    );
  DDR_AD_1_OFF_ASYNC_FF_GSR_OR_147 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_1_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_13_KEEPER_148 : X_KEEPER
    port map (
      O => SYS_DATA_O_13_KEEPER
    );
  I_USER_INT_U_DO_13 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(13),
      O => SYS_DATA_O(13),
      CTL => I_USER_INT_U_DO_13_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_13_Q : X_FF
    port map (
      I => U_DATA_O(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(13)
    );
  SYS_DATA_O_21_KEEPER_149 : X_KEEPER
    port map (
      O => SYS_DATA_O_21_KEEPER
    );
  I_USER_INT_U_DO_21 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(21),
      O => SYS_DATA_O(21),
      CTL => I_USER_INT_U_DO_21_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_21_Q : X_FF
    port map (
      I => U_DATA_O(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(21)
    );
  DDR_AD_2_KEEPER_150 : X_KEEPER
    port map (
      O => DDR_AD_2_KEEPER
    );
  DDR_AD_2_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_2_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(2),
      O => DDR_AD(2),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(2),
      CLK => DDR_AD_2_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_2_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(2)
    );
  DDR_AD_2_OFF_ASYNC_FF_GSR_OR_151 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_2_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_30_KEEPER_152 : X_KEEPER
    port map (
      O => SYS_DATA_O_30_KEEPER
    );
  I_USER_INT_U_DO_30 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(30),
      O => SYS_DATA_O(30),
      CTL => I_USER_INT_U_DO_30_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_30_Q : X_FF
    port map (
      I => U_DATA_O(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(30)
    );
  SYS_DATA_O_22_KEEPER_153 : X_KEEPER
    port map (
      O => SYS_DATA_O_22_KEEPER
    );
  I_USER_INT_U_DO_22 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(22),
      O => SYS_DATA_O(22),
      CTL => I_USER_INT_U_DO_22_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_22_Q : X_FF
    port map (
      I => U_DATA_O(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(22)
    );
  SYS_DATA_O_14_KEEPER_154 : X_KEEPER
    port map (
      O => SYS_DATA_O_14_KEEPER
    );
  I_USER_INT_U_DO_14 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(14),
      O => SYS_DATA_O(14),
      CTL => I_USER_INT_U_DO_14_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_14_Q : X_FF
    port map (
      I => U_DATA_O(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(14)
    );
  DDR_AD_3_KEEPER_155 : X_KEEPER
    port map (
      O => DDR_AD_3_KEEPER
    );
  DDR_AD_3_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_3_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(3),
      O => DDR_AD(3),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(3),
      CLK => DDR_AD_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_3_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(3)
    );
  DDR_AD_3_OFF_ASYNC_FF_GSR_OR_156 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_3_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_15_KEEPER_157 : X_KEEPER
    port map (
      O => SYS_DATA_O_15_KEEPER
    );
  I_USER_INT_U_DO_15 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(15),
      O => SYS_DATA_O(15),
      CTL => I_USER_INT_U_DO_15_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_15_Q : X_FF
    port map (
      I => U_DATA_O(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(15)
    );
  SYS_DATA_O_23_KEEPER_158 : X_KEEPER
    port map (
      O => SYS_DATA_O_23_KEEPER
    );
  I_USER_INT_U_DO_23 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(23),
      O => SYS_DATA_O(23),
      CTL => I_USER_INT_U_DO_23_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_23_Q : X_FF
    port map (
      I => U_DATA_O(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(23)
    );
  SYS_DATA_O_31_KEEPER_159 : X_KEEPER
    port map (
      O => SYS_DATA_O_31_KEEPER
    );
  SYS_DATA_O_31_OMUX : X_BUF
    port map (
      I => U_DATA_O(31),
      O => SYS_DATA_O_31_OD
    );
  I_USER_INT_U_DO_31 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(31),
      O => SYS_DATA_O(31),
      CTL => I_USER_INT_U_DO_31_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_31_Q : X_FF
    port map (
      I => SYS_DATA_O_31_OD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(31)
    );
  DDR_AD_4_KEEPER_160 : X_KEEPER
    port map (
      O => DDR_AD_4_KEEPER
    );
  DDR_AD_4_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_4_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(4),
      O => DDR_AD(4),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(4),
      CLK => DDR_AD_4_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_4_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(4)
    );
  DDR_AD_4_OFF_ASYNC_FF_GSR_OR_161 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_4_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_24_KEEPER_162 : X_KEEPER
    port map (
      O => SYS_DATA_O_24_KEEPER
    );
  I_USER_INT_U_DO_24 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(24),
      O => SYS_DATA_O(24),
      CTL => I_USER_INT_U_DO_24_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_24_Q : X_FF
    port map (
      I => U_DATA_O(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(24)
    );
  SYS_DATA_O_16_KEEPER_163 : X_KEEPER
    port map (
      O => SYS_DATA_O_16_KEEPER
    );
  I_USER_INT_U_DO_16 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(16),
      O => SYS_DATA_O(16),
      CTL => I_USER_INT_U_DO_16_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_16_Q : X_FF
    port map (
      I => U_DATA_O(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(16)
    );
  SYS_DATA_VALID_KEEPER_164 : X_KEEPER
    port map (
      O => SYS_DATA_VALID_KEEPER
    );
  SYS_DATA_VALID_OMUX : X_BUF
    port map (
      I => U_DATA_VALID,
      O => SYS_DATA_VALID_OD
    );
  I_USER_INT_U_DATA_VALID0 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_VALID_PAD,
      O => SYS_DATA_VALID,
      CTL => I_USER_INT_U_DATA_VALID0_2_INV
    );
  I_USER_INT_SYS_DATA_VALID_PAD_REG : X_FF
    port map (
      I => SYS_DATA_VALID_OD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_VALID_PAD
    );
  DDR_AD_5_KEEPER_165 : X_KEEPER
    port map (
      O => DDR_AD_5_KEEPER
    );
  DDR_AD_5_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_5_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(5),
      O => DDR_AD(5),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(5),
      CLK => DDR_AD_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_5_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(5)
    );
  DDR_AD_5_OFF_ASYNC_FF_GSR_OR_166 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_5_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_17_KEEPER_167 : X_KEEPER
    port map (
      O => SYS_DATA_O_17_KEEPER
    );
  I_USER_INT_U_DO_17 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(17),
      O => SYS_DATA_O(17),
      CTL => I_USER_INT_U_DO_17_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_17_Q : X_FF
    port map (
      I => U_DATA_O(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(17)
    );
  SYS_DATA_O_25_KEEPER_168 : X_KEEPER
    port map (
      O => SYS_DATA_O_25_KEEPER
    );
  I_USER_INT_U_DO_25 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(25),
      O => SYS_DATA_O(25),
      CTL => I_USER_INT_U_DO_25_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_25_Q : X_FF
    port map (
      I => U_DATA_O(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(25)
    );
  DDR_AD_6_KEEPER_169 : X_KEEPER
    port map (
      O => DDR_AD_6_KEEPER
    );
  DDR_AD_6_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_6_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(6),
      O => DDR_AD(6),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(6),
      CLK => DDR_AD_6_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_6_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(6)
    );
  DDR_AD_6_OFF_ASYNC_FF_GSR_OR_170 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_6_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_26_KEEPER_171 : X_KEEPER
    port map (
      O => SYS_DATA_O_26_KEEPER
    );
  I_USER_INT_U_DO_26 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(26),
      O => SYS_DATA_O(26),
      CTL => I_USER_INT_U_DO_26_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_26_Q : X_FF
    port map (
      I => U_DATA_O(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(26)
    );
  SYS_DATA_O_18_KEEPER_172 : X_KEEPER
    port map (
      O => SYS_DATA_O_18_KEEPER
    );
  I_USER_INT_U_DO_18 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(18),
      O => SYS_DATA_O(18),
      CTL => I_USER_INT_U_DO_18_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_18_Q : X_FF
    port map (
      I => U_DATA_O(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(18)
    );
  DDR_AD_7_KEEPER_173 : X_KEEPER
    port map (
      O => DDR_AD_7_KEEPER
    );
  DDR_AD_7_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_7_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(7),
      O => DDR_AD(7),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(7),
      CLK => DDR_AD_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_7_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(7)
    );
  DDR_AD_7_OFF_ASYNC_FF_GSR_OR_174 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_7_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_CMD_2 : X_BUF
    port map (
      I => SYS_CMD(2),
      O => I_USER_INT_SYS_CMD_PAD(2)
    );
  SYS_CMD_2_KEEPER_175 : X_KEEPER
    port map (
      O => SYS_CMD_2_KEEPER
    );
  I_USER_INT_U_CMD_REG_2_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(2)
    );
  SYS_DATA_O_19_KEEPER_176 : X_KEEPER
    port map (
      O => SYS_DATA_O_19_KEEPER
    );
  SYS_DATA_O_19_OMUX : X_BUF
    port map (
      I => U_DATA_O(19),
      O => SYS_DATA_O_19_OD
    );
  I_USER_INT_U_DO_19 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(19),
      O => SYS_DATA_O(19),
      CTL => I_USER_INT_U_DO_19_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_19_Q : X_FF
    port map (
      I => SYS_DATA_O_19_OD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(19)
    );
  SYS_DATA_O_27_KEEPER_177 : X_KEEPER
    port map (
      O => SYS_DATA_O_27_KEEPER
    );
  I_USER_INT_U_DO_27 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(27),
      O => SYS_DATA_O(27),
      CTL => I_USER_INT_U_DO_27_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_27_Q : X_FF
    port map (
      I => U_DATA_O(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(27)
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_XOR_1 : X_XOR2
    port map (
      I0 => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O,
      I1 => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORG
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CY_1 : X_MUX2
    port map (
      IA => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      IB => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O,
      SEL => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_CYMUXG
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1 : X_LUT4
    generic map (
      INIT => X"5555"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI : X_LUT4
    generic map (
      INIT => X"5555"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_XORI : X_XOR2
    port map (
      I0 => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO,
      I1 => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORF
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI : X_MUX2
    port map (
      IA => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      IB => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO,
      SEL => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORG,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64(1)
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORF,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64(0)
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_COUTUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_CYMUXG,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CY_1_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO_178 : X_ZERO
    port map (
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO
    );
  I_DDR_CTLR_U_CONTROLLER_U207 : X_LUT4
    generic map (
      INIT => X"A0EC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N400,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N414,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_10_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U233 : X_LUT4
    generic map (
      INIT => X"AAEF"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_END,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_10_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_10_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_10_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N414
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_10_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR_179 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U206 : X_LUT4
    generic map (
      INIT => X"FFA0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N413,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_11_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U232 : X_LUT4
    generic map (
      INIT => X"BAAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N422,
      ADR1 => I_DDR_CTLR_BURST_END,
      ADR2 => I_DDR_CTLR_BURST_8,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N401,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_11_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_11_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_11_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N413
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_11_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR_180 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U205 : X_LUT4
    generic map (
      INIT => X"FF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_BURST_END,
      ADR1 => I_DDR_CTLR_BURST_8,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N403,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N412,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_12_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U229 : X_LUT4
    generic map (
      INIT => X"C0EA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N420,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_12_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_12_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_12_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N412
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_12_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR_181 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U189 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      O => I_DDR_CTLR_LD_CAS_LAT_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U201 : X_LUT4
    generic map (
      INIT => X"0C00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR3 => I_DDR_CTLR_CAS_LAT_END,
      O => I_DDR_CTLR_LD_CAS_LAT_FROM
    );
  I_DDR_CTLR_LD_CAS_LAT_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_CAS_LAT_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT
    );
  I_DDR_CTLR_LD_CAS_LAT_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_CAS_LAT_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N409
    );
  I_DDR_CTLR_LD_CAS_LAT_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_LD_CAS_LAT_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_LD_CAS_LAT_REG : X_FF
    port map (
      I => I_DDR_CTLR_LD_CAS_LAT_GROM,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_LD_CAS_LAT_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_LD_CAS_LAT
    );
  I_DDR_CTLR_U_CONTROLLER_U192 : X_LUT4
    generic map (
      INIT => X"0033"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      O => I_DDR_CTLR_LD_RCD_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U211 : X_LUT4
    generic map (
      INIT => X"FFFE"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      O => I_DDR_CTLR_LD_RCD_FROM
    );
  I_DDR_CTLR_LD_RCD_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_RCD_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_RCD
    );
  I_DDR_CTLR_LD_RCD_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_RCD_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N_150
    );
  I_DDR_CTLR_LD_RCD_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_LD_RCD_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_LD_RCD_REG : X_FF
    port map (
      I => I_DDR_CTLR_LD_RCD_GROM,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_LD_RCD_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_LD_RCD
    );
  I_DDR_CTLR_U_CONTROLLER_U200 : X_LUT4
    generic map (
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1
    );
  I_DDR_CTLR_U_CONTROLLER_U228 : X_LUT4
    generic map (
      INIT => X"00F5"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N419,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_1_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U227 : X_LUT4
    generic map (
      INIT => X"0005"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N411,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N410,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N418,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_1_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_1_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N419
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_1_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_SET
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR_182 : X_OR2
    port map (
      I0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_SET,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U223 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N405,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_3_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U199 : X_LUT4
    generic map (
      INIT => X"2200"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => U_CMD(6),
      ADR2 => VCC,
      ADR3 => U_CMD(5),
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_3_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_3_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N405
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_3_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_RSTOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_RST
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR_183 : X_OR2
    port map (
      I0 => I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_RST,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U222 : X_LUT4
    generic map (
      INIT => X"FFA0"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N416,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_4_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U221 : X_LUT4
    generic map (
      INIT => X"0800"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N408,
      ADR1 => U_CMD(2),
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N406,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_4_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_4_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N416
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_4_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_RSTOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_RST
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR_184 : X_OR2
    port map (
      I0 => I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_RST,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U220 : X_LUT4
    generic map (
      INIT => X"A0E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N406,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N408,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_5_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U224 : X_LUT4
    generic map (
      INIT => X"B888"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => U_CMD(6),
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_2_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_5_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR_185 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_2_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR_186 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U197 : X_LUT4
    generic map (
      INIT => X"888F"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N407,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_6_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U219 : X_LUT4
    generic map (
      INIT => X"CFCD"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR1 => I_DDR_CTLR_RCD_END,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR3 => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_6_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_6_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_6_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N407
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_6_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR_187 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U218 : X_LUT4
    generic map (
      INIT => X"CAC0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N404,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_7_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U196 : X_LUT4
    generic map (
      INIT => X"0C08"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR1 => I_DDR_CTLR_RCD_END,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_7_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_7_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_7_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N404
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_7_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR_188 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U217 : X_LUT4
    generic map (
      INIT => X"DC10"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N404,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      O => I_DDR_CTLR_U_CONTROLLER_STATE207_8_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U236 : X_LUT4
    generic map (
      INIT => X"EFFF"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_BURST_2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N400,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_8_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_8_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_8_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N420
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE207_8_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR_189 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_ADDR_LATCH_U136 : X_LUT4
    generic map (
      INIT => X"A0E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_ADDR_RESET2,
      ADR1 => U_ADDR(0),
      ADR2 => I_DDR_CTLR_BURST_2,
      ADR3 => U_ADDR(1),
      O => I_DDR_CTLR_U_ADDR_LATCH_BURST_2174
    );
  I_DDR_CTLR_U_ADDR_LATCH_U135 : X_LUT4
    generic map (
      INIT => X"F099"
    )
    port map (
      ADR0 => U_ADDR(1),
      ADR1 => U_ADDR(0),
      ADR2 => I_DDR_CTLR_BURST_8,
      ADR3 => I_DDR_CTLR_ADDR_RESET2,
      O => I_DDR_CTLR_U_ADDR_LATCH_BURST_8179
    );
  I_DDR_CTLR_U_ADDR_LATCH_BURST_2_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_BURST_2174,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_BURST_2
    );
  I_DDR_CTLR_U_ADDR_LATCH_BURST_8_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_BURST_8179,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_BURST_8
    );
  I_DDR_CTLR_U_DATA_PATH_U234 : X_LUT4
    generic map (
      INIT => X"DC8C"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(0),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(16),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U227 : X_LUT4
    generic map (
      INIT => X"CCE4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(1),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(17),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(0),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(1),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U226 : X_LUT4
    generic map (
      INIT => X"AAE2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(2),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(1),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(18),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U225 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(19),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(3),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(1),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(2),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(3),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U224 : X_LUT4
    generic map (
      INIT => X"E2F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(20),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(4),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U223 : X_LUT4
    generic map (
      INIT => X"DC8C"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(5),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(2),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(21),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(4),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(5),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U222 : X_LUT4
    generic map (
      INIT => X"B8AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(22),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U221 : X_LUT4
    generic map (
      INIT => X"BA8A"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(7),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(3),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(23),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(7)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(6),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(7),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U220 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(24),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(4),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U219 : X_LUT4
    generic map (
      INIT => X"E2F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(25),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(9),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(9)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(8),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(4),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(9),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(4),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(9)
    );
  I_DDR_CTLR_U_CONTROLLER_U208 : X_LUT4
    generic map (
      INIT => X"A0EC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N406,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG,
      ADR2 => U_CMD(3),
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N415,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD
    );
  I_DDR_CTLR_U_CONTROLLER_U234 : X_LUT4
    generic map (
      INIT => X"AEAF"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => I_DDR_CTLR_RCD_END,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N415
    );
  I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_READ_CMD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG
    );
  I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR_190 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U215 : X_LUT4
    generic map (
      INIT => X"FC0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_DDR_READ_EN(0),
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(0)
    );
  I_DDR_CTLR_U_CONTROLLER_U214 : X_LUT4
    generic map (
      INIT => X"B8B8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_READ_EN(1),
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(1)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(0)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(1)
    );
  I_DDR_CTLR_U_CONTROLLER_U213 : X_LUT4
    generic map (
      INIT => X"B8B8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_READ_EN(2),
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(2)
    );
  I_DDR_CTLR_U_CONTROLLER_U212 : X_LUT4
    generic map (
      INIT => X"B8B8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_READ_EN(3),
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(3)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(2)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN229(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(3)
    );
  I_DDR_CTLR_U_CONTROLLER_U202 : X_LUT4
    generic map (
      INIT => X"FFAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U235 : X_LUT4
    generic map (
      INIT => X"FFFB"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N400,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N402
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1
    );
  I_DDR_CTLR_U_DATA_PATH_U184 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_DDR_DQS_T,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP135(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U185 : X_LUT4
    generic map (
      INIT => X"0505"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(1),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_DDR_DQS_T,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP135(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP135(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP135(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U132 : X_LUT4
    generic map (
      INIT => X"DC8C"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => U_ADDR(0),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => U_ADDR(8),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U130 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => U_ADDR(9),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => U_ADDR(1),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(0),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(1),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U129 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => U_ADDR(2),
      ADR3 => U_ADDR(10),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(2)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U128 : X_LUT4
    generic map (
      INIT => X"AEA2"
    )
    port map (
      ADR0 => U_ADDR(3),
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => I_DDR_CTLR_MRS_ADDR,
      ADR3 => U_ADDR(11),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(3)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(2),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(2)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(3),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(3)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U127 : X_LUT4
    generic map (
      INIT => X"AAE2"
    )
    port map (
      ADR0 => U_ADDR(4),
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => U_ADDR(12),
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(4)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U126 : X_LUT4
    generic map (
      INIT => X"FB40"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => U_ADDR(13),
      ADR3 => U_ADDR(5),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(5)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(4),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(4)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(5),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(5)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U125 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => U_ADDR(14),
      ADR1 => U_ADDR(6),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(6)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U124 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => U_ADDR(15),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => U_ADDR(7),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(7)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(6),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(6)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(7),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(7)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U123 : X_LUT4
    generic map (
      INIT => X"E4A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => U_ADDR(16),
      ADR2 => U_ADDR(8),
      ADR3 => I_DDR_CTLR_ROW_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(8)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U118 : X_LUT4
    generic map (
      INIT => X"5000"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => U_ADDR(17),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(9)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(8),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(8)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(9),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U233 : X_LUT4
    generic map (
      INIT => X"FB40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(5),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(26),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U232 : X_LUT4
    generic map (
      INIT => X"AEA2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(11),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(5),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(27),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(10),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(5),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(11),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(5),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U231 : X_LUT4
    generic map (
      INIT => X"FD20"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(28),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U230 : X_LUT4
    generic map (
      INIT => X"F2D0"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(13),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(29),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(13)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(12),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(6),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(13),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(6),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U229 : X_LUT4
    generic map (
      INIT => X"CEC4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(7),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(14),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(30),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U228 : X_LUT4
    generic map (
      INIT => X"CEC4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(7),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(15),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(31),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(15)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(14),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(7),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP76(15),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(7),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(15)
    );
  I_DDR_CTLR_U_CONTROLLER_U193 : X_LUT4
    generic map (
      INIT => X"00F7"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => U_CMD(5),
      ADR2 => U_CMD(6),
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N404,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_ROW_ADDR
    );
  I_DDR_CTLR_ROW_ADDR_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_ROW_ADDR_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_ROW_ADDR_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_ROW_ADDR,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_ROW_ADDR_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_ROW_ADDR
    );
  I_DDR_CTLR_U_ADDR_LATCH_U131 : X_LUT4
    generic map (
      INIT => X"00F5"
    )
    port map (
      ADR0 => I_DDR_CTLR_ROW_ADDR,
      ADR1 => VCC,
      ADR2 => U_ADDR(18),
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(10)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U119 : X_LUT4
    generic map (
      INIT => X"00C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => U_ADDR(19),
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(11)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(10),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(10)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(11),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(11)
    );
  I_DDR_CTLR_U_CONTROLLER_U216 : X_LUT4
    generic map (
      INIT => X"FFCE"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR2 => I_DDR_CTLR_BURST_8,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      O => I_DDR_CTLR_U_CONTROLLER_CELL_116_U32_DATA2_0
    );
  I_DDR_CTLR_U_DATA_VALID_EN_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_DATA_VALID_EN_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_U_DATA_VALID_EN_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_CELL_116_U32_DATA2_0,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_DATA_VALID_EN_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_VALID_EN
    );
  I_DDR_CTLR_U_CSLT_CNTR_U27 : X_LUT4
    generic map (
      INIT => X"CCAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_ARG64(0),
      ADR1 => I_DDR_CTLR_CAS_LAT_MAX(0),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_LD_CAS_LAT,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(0)
    );
  I_DDR_CTLR_U_CSLT_CNTR_U26 : X_LUT4
    generic map (
      INIT => X"AACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_MAX(1),
      ADR1 => I_DDR_CTLR_U_CSLT_CNTR_ARG64(1),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_LD_CAS_LAT,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(1)
    );
  I_DDR_CTLR_U_CSLT_CNTR_COUNT_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0)
    );
  I_DDR_CTLR_U_CSLT_CNTR_COUNT_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1)
    );
  I_DDR_CTLR_U_CONTROLLER_U190 : X_LUT4
    generic map (
      INIT => X"0003"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      O => I_DDR_CTLR_U_CONTROLLER_N_417
    );
  I_DDR_CTLR_U_CONTROLLER_U209 : X_LUT4
    generic map (
      INIT => X"FFFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      O => I_DDR_CTLR_DDR_DQS_T_FROM
    );
  I_DDR_CTLR_DDR_DQS_T_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_DDR_DQS_T_CLKNOT
    );
  I_DDR_CTLR_DDR_DQS_T_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_DDR_DQS_T_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N_157
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N_417,
      CLK => I_DDR_CTLR_DDR_DQS_T_CLKNOT,
      CE => I_DDR_CTLR_U_CONTROLLER_LAC_CLK,
      SET => I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_DDR_DQS_T
    );
  I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR_191 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET3,
      I1 => GSR,
      O => I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U191 : X_LUT4
    generic map (
      INIT => X"0001"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      O => I_DDR_CTLR_LD_BURST_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U210 : X_LUT4
    generic map (
      INIT => X"FFFE"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      O => I_DDR_CTLR_LD_BURST_FROM
    );
  I_DDR_CTLR_LD_BURST_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_BURST_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_BURST
    );
  I_DDR_CTLR_LD_BURST_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_BURST_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N_154
    );
  I_DDR_CTLR_LD_BURST_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_LD_BURST_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_LD_BURST_REG : X_FF
    port map (
      I => I_DDR_CTLR_LD_BURST_GROM,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_LD_BURST_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_LD_BURST
    );
  I_DDR_CTLR_U_ADDR_LATCH_U121 : X_LUT4
    generic map (
      INIT => X"F33F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => U_ADDR(4),
      ADR2 => U_ADDR(5),
      ADR3 => U_ADDR(6),
      O => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U117 : X_LUT4
    generic map (
      INIT => X"00C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => U_ADDR(4),
      ADR2 => U_ADDR(5),
      ADR3 => U_ADDR(6),
      O => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_MAX_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(0),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_MRS_ADDR,
      SET => GND,
      RST => I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_CAS_LAT_MAX(0)
    );
  I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR_192 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_MAX_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(1),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_MRS_ADDR,
      SET => GND,
      RST => I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_CAS_LAT_MAX(1)
    );
  I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR_193 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_U182 : X_LUT4
    generic map (
      INIT => X"A0A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_VALID_EN,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_DATA_PATH_N_2811
    );
  I_DDR_CTLR_U_DATA_PATH_U183 : X_LUT4
    generic map (
      INIT => X"CC00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1,
      O => I_DDR_CTLR_U_DATA_PATH_N_2794
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_N_2811,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_N_2794,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25
    );
  I_DDR_CTLR_U_ADDR_LATCH_U134 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_ADDR_RESET2,
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => I_DDR_CTLR_U_ADDR_LATCH_N232,
      O => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U120 : X_LUT4
    generic map (
      INIT => X"6600"
    )
    port map (
      ADR0 => U_ADDR(5),
      ADR1 => U_ADDR(4),
      ADR2 => VCC,
      ADR3 => U_ADDR(6),
      O => I_DDR_CTLR_CAS_LAT_HALF_0_FROM
    );
  I_DDR_CTLR_CAS_LAT_HALF_0_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_CAS_LAT_HALF_0_FROM,
      O => I_DDR_CTLR_U_ADDR_LATCH_N232
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(0),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_CAS_LAT_HALF(0)
    );
  I_DDR_CTLR_U_CONTROLLER_U187 : X_LUT4
    generic map (
      INIT => X"00CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N402,
      O => I_DDR_CTLR_U_CONTROLLER_N411_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U204 : X_LUT4
    generic map (
      INIT => X"BBB0"
    )
    port map (
      ADR0 => I_DDR_CTLR_BURST_END,
      ADR1 => I_DDR_CTLR_BURST_8,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N403,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N401,
      O => I_DDR_CTLR_U_CONTROLLER_N411_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N411_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N411_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N403
    );
  I_DDR_CTLR_U_CONTROLLER_N411_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N411_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N411
    );
  I_DDR_CTLR_U_CONTROLLER_U225 : X_LUT4
    generic map (
      INIT => X"E0A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N409,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR2 => I_DDR_CTLR_BURST_2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT,
      O => I_DDR_CTLR_U_CONTROLLER_N418_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U226 : X_LUT4
    generic map (
      INIT => X"C4C0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N400,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N417,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_BURST,
      O => I_DDR_CTLR_U_CONTROLLER_N418_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N418_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N418_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N417
    );
  I_DDR_CTLR_U_CONTROLLER_N418_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N418_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N418
    );
  I_DDR_CTLR_U_CONTROLLER_U195 : X_LUT4
    generic map (
      INIT => X"0101"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_N401_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U186 : X_LUT4
    generic map (
      INIT => X"0080"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N400,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      O => I_DDR_CTLR_U_CONTROLLER_N401_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N401_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N401_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N400
    );
  I_DDR_CTLR_U_CONTROLLER_N401_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N401_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N401
    );
  I_DDR_CTLR_U_CONTROLLER_U230 : X_LUT4
    generic map (
      INIT => X"BABB"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR2 => I_DDR_CTLR_BURST_2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      O => I_DDR_CTLR_U_CONTROLLER_N422_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U231 : X_LUT4
    generic map (
      INIT => X"0400"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => I_DDR_CTLR_CAS_LAT_END,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N421,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_RCD,
      O => I_DDR_CTLR_U_CONTROLLER_N422_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N422_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N422_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N421
    );
  I_DDR_CTLR_U_CONTROLLER_N422_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N422_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N422
    );
  I_DDR_CTLR_U_CONTROLLER_U198 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => U_CMD(4),
      ADR3 => U_CMD(3),
      O => I_DDR_CTLR_U_CONTROLLER_N410_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U203 : X_LUT4
    generic map (
      INIT => X"FF20"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N406,
      ADR1 => U_CMD(2),
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N408,
      ADR3 => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_CONTROLLER_N410_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N410_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N410_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N408
    );
  I_DDR_CTLR_U_CONTROLLER_N410_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N410_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N410
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_21_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_21_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(20),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(21),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_23_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_23_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(22),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(23),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_31_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_31_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(30),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(31),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_17_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_17_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(16),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(17),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_25_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_25_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(24),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(25),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_19_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_19_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(18),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(19),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_27_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_27_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(26),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(27),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(27)
    );
  I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE_194 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE
    );
  I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CSLT_CNTR_N_1,
      O => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_29_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_29_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(28),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(29),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U201 : X_LUT4
    generic map (
      INIT => X"EE22"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(25),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(25),
      O => U_DATA_O_24_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U202 : X_LUT4
    generic map (
      INIT => X"B8B8"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(24),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(24),
      ADR3 => VCC,
      O => U_DATA_O_24_FROM
    );
  U_DATA_O_24_YUSED : X_BUF
    port map (
      I => U_DATA_O_24_GROM,
      O => U_DATA_O(25)
    );
  U_DATA_O_24_XUSED : X_BUF
    port map (
      I => U_DATA_O_24_FROM,
      O => U_DATA_O(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U211 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(16),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(16),
      O => U_DATA_O_15_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U212 : X_LUT4
    generic map (
      INIT => X"E2E2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(15),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(15),
      ADR3 => VCC,
      O => U_DATA_O_15_FROM
    );
  U_DATA_O_15_YUSED : X_BUF
    port map (
      I => U_DATA_O_15_GROM,
      O => U_DATA_O(16)
    );
  U_DATA_O_15_XUSED : X_BUF
    port map (
      I => U_DATA_O_15_FROM,
      O => U_DATA_O(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U203 : X_LUT4
    generic map (
      INIT => X"FC30"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(23),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(23),
      O => U_DATA_O_22_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U204 : X_LUT4
    generic map (
      INIT => X"F0AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(22),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(22),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_22_FROM
    );
  U_DATA_O_22_YUSED : X_BUF
    port map (
      I => U_DATA_O_22_GROM,
      O => U_DATA_O(23)
    );
  U_DATA_O_22_XUSED : X_BUF
    port map (
      I => U_DATA_O_22_FROM,
      O => U_DATA_O(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U213 : X_LUT4
    generic map (
      INIT => X"D8D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(14),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(14),
      ADR3 => VCC,
      O => U_DATA_O_13_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U214 : X_LUT4
    generic map (
      INIT => X"F5A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(13),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(13),
      O => U_DATA_O_13_FROM
    );
  U_DATA_O_13_YUSED : X_BUF
    port map (
      I => U_DATA_O_13_GROM,
      O => U_DATA_O(14)
    );
  U_DATA_O_13_XUSED : X_BUF
    port map (
      I => U_DATA_O_13_FROM,
      O => U_DATA_O(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U205 : X_LUT4
    generic map (
      INIT => X"CACA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(21),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(21),
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => VCC,
      O => U_DATA_O_20_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U206 : X_LUT4
    generic map (
      INIT => X"E4E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(20),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(20),
      ADR3 => VCC,
      O => U_DATA_O_20_FROM
    );
  U_DATA_O_20_YUSED : X_BUF
    port map (
      I => U_DATA_O_20_GROM,
      O => U_DATA_O(21)
    );
  U_DATA_O_20_XUSED : X_BUF
    port map (
      I => U_DATA_O_20_FROM,
      O => U_DATA_O(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U215 : X_LUT4
    generic map (
      INIT => X"EE44"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(12),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(12),
      O => U_DATA_O_11_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U216 : X_LUT4
    generic map (
      INIT => X"FA50"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(11),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(11),
      O => U_DATA_O_11_FROM
    );
  U_DATA_O_11_YUSED : X_BUF
    port map (
      I => U_DATA_O_11_GROM,
      O => U_DATA_O(12)
    );
  U_DATA_O_11_XUSED : X_BUF
    port map (
      I => U_DATA_O_11_FROM,
      O => U_DATA_O(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U207 : X_LUT4
    generic map (
      INIT => X"FC30"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(1),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(1),
      O => U_DATA_O_19_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U208 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(19),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(19),
      O => U_DATA_O_19_FROM
    );
  U_DATA_O_19_YUSED : X_BUF
    port map (
      I => U_DATA_O_19_GROM,
      O => U_DATA_O(1)
    );
  U_DATA_O_19_XUSED : X_BUF
    port map (
      I => U_DATA_O_19_FROM,
      O => U_DATA_O(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U217 : X_LUT4
    generic map (
      INIT => X"AACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(10),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(10),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_0_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U218 : X_LUT4
    generic map (
      INIT => X"CCF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(0),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_0_FROM
    );
  U_DATA_O_0_YUSED : X_BUF
    port map (
      I => U_DATA_O_0_GROM,
      O => U_DATA_O(10)
    );
  U_DATA_O_0_XUSED : X_BUF
    port map (
      I => U_DATA_O_0_FROM,
      O => U_DATA_O(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U209 : X_LUT4
    generic map (
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(18),
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(18),
      O => U_DATA_O_17_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U210 : X_LUT4
    generic map (
      INIT => X"CACA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(17),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(17),
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => VCC,
      O => U_DATA_O_17_FROM
    );
  U_DATA_O_17_YUSED : X_BUF
    port map (
      I => U_DATA_O_17_GROM,
      O => U_DATA_O(18)
    );
  U_DATA_O_17_XUSED : X_BUF
    port map (
      I => U_DATA_O_17_FROM,
      O => U_DATA_O(17)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_REG_0_Q : X_FF
    port map (
      I => U_ADDR(20),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_REG_1_Q : X_FF
    port map (
      I => U_ADDR(21),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U191 : X_LUT4
    generic map (
      INIT => X"F0AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(5),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(5),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_4_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U192 : X_LUT4
    generic map (
      INIT => X"AACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(4),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(4),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_4_FROM
    );
  U_DATA_O_4_YUSED : X_BUF
    port map (
      I => U_DATA_O_4_GROM,
      O => U_DATA_O(5)
    );
  U_DATA_O_4_XUSED : X_BUF
    port map (
      I => U_DATA_O_4_FROM,
      O => U_DATA_O(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U193 : X_LUT4
    generic map (
      INIT => X"F0AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(3),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(3),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_31_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U194 : X_LUT4
    generic map (
      INIT => X"CCF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(31),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(31),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_31_FROM
    );
  U_DATA_O_31_YUSED : X_BUF
    port map (
      I => U_DATA_O_31_GROM,
      O => U_DATA_O(3)
    );
  U_DATA_O_31_XUSED : X_BUF
    port map (
      I => U_DATA_O_31_FROM,
      O => U_DATA_O(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U186 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(1),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20,
      O => U_DATA_VALID_GROM
    );
  U_DATA_VALID_YUSED : X_BUF
    port map (
      I => U_DATA_VALID_GROM,
      O => U_DATA_VALID
    );
  I_DDR_CTLR_U_DATA_PATH_U195 : X_LUT4
    generic map (
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(30),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(30),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_2_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U196 : X_LUT4
    generic map (
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(2),
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(2),
      O => U_DATA_O_2_FROM
    );
  U_DATA_O_2_YUSED : X_BUF
    port map (
      I => U_DATA_O_2_GROM,
      O => U_DATA_O(30)
    );
  U_DATA_O_2_XUSED : X_BUF
    port map (
      I => U_DATA_O_2_FROM,
      O => U_DATA_O(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U187 : X_LUT4
    generic map (
      INIT => X"E4E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(9),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(9),
      ADR3 => VCC,
      O => U_DATA_O_8_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U188 : X_LUT4
    generic map (
      INIT => X"B8B8"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(8),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(8),
      ADR3 => VCC,
      O => U_DATA_O_8_FROM
    );
  U_DATA_O_8_YUSED : X_BUF
    port map (
      I => U_DATA_O_8_GROM,
      O => U_DATA_O(9)
    );
  U_DATA_O_8_XUSED : X_BUF
    port map (
      I => U_DATA_O_8_FROM,
      O => U_DATA_O(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U197 : X_LUT4
    generic map (
      INIT => X"FC30"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(29),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(29),
      O => U_DATA_O_28_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U198 : X_LUT4
    generic map (
      INIT => X"E2E2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(28),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(28),
      ADR3 => VCC,
      O => U_DATA_O_28_FROM
    );
  U_DATA_O_28_YUSED : X_BUF
    port map (
      I => U_DATA_O_28_GROM,
      O => U_DATA_O(29)
    );
  U_DATA_O_28_XUSED : X_BUF
    port map (
      I => U_DATA_O_28_FROM,
      O => U_DATA_O(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U189 : X_LUT4
    generic map (
      INIT => X"E4E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(7),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(7),
      ADR3 => VCC,
      O => U_DATA_O_6_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U190 : X_LUT4
    generic map (
      INIT => X"CCF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(6),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(6),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_6_FROM
    );
  U_DATA_O_6_YUSED : X_BUF
    port map (
      I => U_DATA_O_6_GROM,
      O => U_DATA_O(7)
    );
  U_DATA_O_6_XUSED : X_BUF
    port map (
      I => U_DATA_O_6_FROM,
      O => U_DATA_O(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U199 : X_LUT4
    generic map (
      INIT => X"AAF0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(27),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(27),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_26_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U200 : X_LUT4
    generic map (
      INIT => X"D8D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(26),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(26),
      ADR3 => VCC,
      O => U_DATA_O_26_FROM
    );
  U_DATA_O_26_YUSED : X_BUF
    port map (
      I => U_DATA_O_26_GROM,
      O => U_DATA_O(27)
    );
  U_DATA_O_26_XUSED : X_BUF
    port map (
      I => U_DATA_O_26_FROM,
      O => U_DATA_O(26)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(0)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(1)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q1,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q1,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC1 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC2 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_2_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(2)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(3)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC3 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC4 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_4_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(3)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(4)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(5)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(6)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(7)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U122 : X_LUT4
    generic map (
      INIT => X"FCFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_ADDR_RESET2,
      ADR2 => I_DDR_CTLR_MRS_ADDR,
      ADR3 => VCC,
      O => I_DDR_CTLR_CAS_LAT_HALF_1_GROM
    );
  I_DDR_CTLR_U_ADDR_LATCH_U133 : X_LUT4
    generic map (
      INIT => X"EE22"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_ADDR_LATCH_N232,
      ADR1 => I_DDR_CTLR_ADDR_RESET2,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(1),
      O => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(1)
    );
  I_DDR_CTLR_CAS_LAT_HALF_1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_CAS_LAT_HALF_1_GROM,
      O => I_DDR_CTLR_U_ADDR_LATCH_N182
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(1),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_CAS_LAT_HALF(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(9)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(0)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(1)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(2)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(3)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(4)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(5)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(6)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(7)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(8)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_VALID_EN,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE_195 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_10_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_11_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE_196 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_12_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_13_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(13)
    );
  I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE_197 : X_ONE
    port map (
      O => I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE
    );
  I_DDR_CTLR_U_BRST_CNTR_B_1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_LD_BURST,
      O => I_DDR_CTLR_U_BRST_CNTR_B_1
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE_198 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_14_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_15_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(9)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3)
    );
  I_DDR_CTLR_U_CSLT_CNTR_U24 : X_LUT4
    generic map (
      INIT => X"FFAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      O => I_DDR_CTLR_CAS_LAT_END_GROM
    );
  I_DDR_CTLR_U_CSLT_CNTR_U25 : X_LUT4
    generic map (
      INIT => X"5072"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(1),
      ADR1 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      ADR2 => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5,
      ADR3 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      O => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END8
    );
  I_DDR_CTLR_CAS_LAT_END_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_CAS_LAT_END_GROM,
      O => I_DDR_CTLR_U_CSLT_CNTR_N_1
    );
  I_DDR_CTLR_U_CSLT_CNTR_CSLT_END_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END8,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_CAS_LAT_END
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE_199 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CONTROLLER_N_157,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1
    );
  I_DDR_CTLR_U8 : X_LUT4
    generic map (
      INIT => X"8800"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED,
      ADR1 => U_RESET_N,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_LOCKED,
      O => I_DDR_CTLR_N_1_GROM
    );
  I_DDR_CTLR_N_1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_N_1_GROM,
      O => I_DDR_CTLR_N_1
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_DQS_T,
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_DQS_T,
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(23)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_TMP1 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q1
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_TMP2 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_Q2
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(27)
    );
  I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE_200 : X_ONE
    port map (
      O => I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE
    );
  I_DDR_CTLR_CTLR_RESET1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_CTLR_RESET1
    );
  I_DDR_CTLR_CTLR_RESET2_REG : X_SFF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_CTLR_RESET2
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(29)
    );
  I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE_201 : X_ONE
    port map (
      O => I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE
    );
  I_DDR_CTLR_CTLR_RESET3_REG : X_SFF
    port map (
      I => I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_CTLR_RESET3
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(13)
    );
  I_DDR_CTLR_MRS_ADDR_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_MRS_ADDR_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_MRS_ADDR_REG : X_FF
    port map (
      I => U_CMD(2),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_MRS_ADDR_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_MRS_ADDR
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(5)
    );
  I_DDR_CTLR_U_CONTROLLER_U188 : X_LUT4
    generic map (
      INIT => X"AA00"
    )
    port map (
      ADR0 => U_CMD(6),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      O => I_DDR_CTLR_U_CONTROLLER_N406_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U194 : X_LUT4
    generic map (
      INIT => X"0044"
    )
    port map (
      ADR0 => U_CMD(6),
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR2 => VCC,
      ADR3 => U_CMD(5),
      O => I_DDR_CTLR_U_CONTROLLER_N406_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N406_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N406_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_CELL_116_U31_DATA2_0
    );
  I_DDR_CTLR_U_CONTROLLER_N406_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N406_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N406
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(9)
    );
  I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK90,
      O => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYNOT
    );
  I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_LAC2 : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYNOT,
      CLK => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_LAC_CLK
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(9)
    );
  I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE_202 : X_ONE
    port map (
      O => I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE
    );
  I_DDR_CTLR_ADDR_RESET1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_ADDR_RESET1
    );
  I_DDR_CTLR_ADDR_RESET2_REG : X_SFF
    port map (
      I => I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_ADDR_RESET2
    );
  I_DDR_CTLR_U_BRST_CNTR_BRST_END_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_BRST_CNTR_B_1,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_BURST_END
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_0_Q : X_FF
    port map (
      I => U_DATA_I(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_1_Q : X_FF
    port map (
      I => U_DATA_I(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_2_Q : X_FF
    port map (
      I => U_DATA_I(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_3_Q : X_FF
    port map (
      I => U_DATA_I(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_4_Q : X_FF
    port map (
      I => U_DATA_I(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_5_Q : X_FF
    port map (
      I => U_DATA_I(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_6_Q : X_FF
    port map (
      I => U_DATA_I(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_7_Q : X_FF
    port map (
      I => U_DATA_I(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_8_Q : X_FF
    port map (
      I => U_DATA_I(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_9_Q : X_FF
    port map (
      I => U_DATA_I(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_21_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_21_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_23_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_23_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_31_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_31_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_17_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_17_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_25_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_25_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_19_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_19_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_27_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_27_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_29_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_29_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(9)
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK1,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC1 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK1
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC2 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE_203 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CONTROLLER_N_150,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE_204 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_0_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_1_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(1)
    );
  I_DDR_CTLR_FPGA_LAC_CLK_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2,
      O => I_DDR_CTLR_FPGA_LAC_CLK_BYNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC3 : X_FF
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_FPGA_LAC_CLK
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_1,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC4 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_1
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC5 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXNOT,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE_205 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_2_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_3_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(3)
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_3,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC6 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYNOT,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_3
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC7 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXNOT,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4
    );
  I_DDR_CTLR_FPGA_LAC_CLK90_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4,
      O => I_DDR_CTLR_FPGA_LAC_CLK90_BYNOT
    );
  I_DDR_CTLR_FPGA_LAC_CLK90_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_FPGA_LAC_CLK90_CLKNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC8 : X_FF
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK90_BYNOT,
      CLK => I_DDR_CTLR_FPGA_LAC_CLK90_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_FPGA_LAC_CLK90
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE_206 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_4_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_5_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(5)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(10)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE_207 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_6_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_7_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(7)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(12)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(13)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(20),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(20)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(21),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(21)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE_208 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_8_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_9_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(9)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(14)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(15)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(22),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(22)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(23),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(23)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(30),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(30)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(31),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(31)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(16),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(16)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(17),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(17)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(24),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(24)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(25),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(25)
    );
  I_DDR_CTLR_RCD_END_LOGIC_ONE_209 : X_ONE
    port map (
      O => I_DDR_CTLR_RCD_END_LOGIC_ONE
    );
  I_DDR_CTLR_U_RCD_CNTR_RCD_END_REG : X_SFF
    port map (
      I => I_DDR_CTLR_RCD_END_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_LD_RCD,
      O => I_DDR_CTLR_RCD_END
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(18),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(18)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(19),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(19)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(26),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(26)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(27),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(27)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(28),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(28)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(29),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(9)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE_210 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CONTROLLER_N_154,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_10_Q : X_FF
    port map (
      I => U_DATA_I(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_11_Q : X_FF
    port map (
      I => U_DATA_I(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_12_Q : X_FF
    port map (
      I => U_DATA_I(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_13_Q : X_FF
    port map (
      I => U_DATA_I(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_20_Q : X_FF
    port map (
      I => U_DATA_I(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_21_Q : X_FF
    port map (
      I => U_DATA_I(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_14_Q : X_FF
    port map (
      I => U_DATA_I(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_15_Q : X_FF
    port map (
      I => U_DATA_I(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_22_Q : X_FF
    port map (
      I => U_DATA_I(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_23_Q : X_FF
    port map (
      I => U_DATA_I(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_30_Q : X_FF
    port map (
      I => U_DATA_I(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_31_Q : X_FF
    port map (
      I => U_DATA_I(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_16_Q : X_FF
    port map (
      I => U_DATA_I(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_17_Q : X_FF
    port map (
      I => U_DATA_I(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_24_Q : X_FF
    port map (
      I => U_DATA_I(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_25_Q : X_FF
    port map (
      I => U_DATA_I(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_18_Q : X_FF
    port map (
      I => U_DATA_I(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_19_Q : X_FF
    port map (
      I => U_DATA_I(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_26_Q : X_FF
    port map (
      I => U_DATA_I(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_27_Q : X_FF
    port map (
      I => U_DATA_I(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_28_Q : X_FF
    port map (
      I => U_DATA_I(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_29_Q : X_FF
    port map (
      I => U_DATA_I(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(31)
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_INT : X_CLKDLL2
    generic map (
      CLKDV_DIVIDE => 2.0,
      DUTY_CYCLE_CORRECTION => TRUE,
      MAXPERCLKIN => 40000 ps
    )
    port map (
      RST => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTNOT,
      CLKFB => FPGA_CLK,
      CLKIN => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB,
      NOADJUST => GND,
      CLK0 => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK_OUT_O,
      CLK180 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK180,
      CLK270 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK270,
      CLK2X => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK2X_OUT_O,
      CLK90 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK90,
      CLKDV => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLKDV,
      LOCKED => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_LOCKED,
      CLK2X180 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK2X180,
      CLKLOST => NGD2VHDL_X_2781_12,
      NOTINPHASE => NGD2VHDL_X_2781_13
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED,
      O => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_EXT : X_CLKDLL2
    generic map (
      CLKDV_DIVIDE => 2.0,
      DUTY_CYCLE_CORRECTION => TRUE,
      MAXPERCLKIN => 40000 ps
    )
    port map (
      RST => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO,
      CLKFB => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB,
      CLKIN => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY,
      NOADJUST => GND,
      CLK0 => I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O,
      CLK180 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK180,
      CLK270 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK270,
      CLK2X => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X,
      CLK90 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK90,
      CLKDV => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLKDV,
      LOCKED => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED,
      CLK2X180 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X180,
      CLKLOST => NGD2VHDL_X_2784_12,
      NOTINPHASE => NGD2VHDL_X_2784_13
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO_211 : X_ZERO
    port map (
      O => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO
    );
  GND_212 : X_ZERO
    port map (
      O => GND
    );
  U_CLK_BUF : X_CKBUF
    port map (
      I => U_CLK,
      O => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY
    );
  U_CLK_FB_BUF : X_CKBUF
    port map (
      I => U_CLK_FB,
      O => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB
    );
  I_DDR_CTLR_U_CLK_DLLS_BUFG_CLK2X_OUT_BUF : X_CKBUF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK2X_OUT_O,
      O => I_DDR_CTLR_FPGA_CLK2X
    );
  I_DDR_CTLR_U_CLK_DLLS_BUFG_CLK_OUT_BUF : X_CKBUF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK_OUT_O,
      O => FPGA_CLK
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV_213 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV
    );
  I_USER_INT_U_DO_28_2_INV_214 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_28_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV_215 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV
    );
  I_USER_INT_U_DO_29_2_INV_216 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_29_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV_217 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV
    );
  I_USER_INT_U_REF_ACK0_2_INV_218 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_REF_ACK0_2_INV
    );
  DDR_DQ_0_OUTBUF_GTS_AND_1_INV_219 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_0_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV_220 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV
    );
  DDR_DQ_1_OUTBUF_GTS_AND_1_INV_221 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_1_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_0_2_INV_222 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_0_2_INV
    );
  DDR_DQ_2_OUTBUF_GTS_AND_1_INV_223 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_2_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_1_2_INV_224 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_1_2_INV
    );
  DDR_DQ_3_OUTBUF_GTS_AND_1_INV_225 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_3_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQS_0_OUTBUF_GTS_AND_1_INV_226 : X_INV
    port map (
      I => GTS,
      O => DDR_DQS_0_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_2_2_INV_227 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_2_2_INV
    );
  DDR_DQ_4_OUTBUF_GTS_AND_1_INV_228 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_4_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQS_1_OUTBUF_GTS_AND_1_INV_229 : X_INV
    port map (
      I => GTS,
      O => DDR_DQS_1_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_3_2_INV_230 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_3_2_INV
    );
  DDR_DQ_5_OUTBUF_GTS_AND_1_INV_231 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_5_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_O_DDR_CKE_2_INV_232 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_CKE_2_INV
    );
  I_USER_INT_U_DO_4_2_INV_233 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_4_2_INV
    );
  DDR_DQ_6_OUTBUF_GTS_AND_1_INV_234 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_6_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV_235 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV
    );
  I_USER_INT_U_DO_5_2_INV_236 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_5_2_INV
    );
  DDR_DQ_7_OUTBUF_GTS_AND_1_INV_237 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_7_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_6_2_INV_238 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_6_2_INV
    );
  DDR_DQ_8_OUTBUF_GTS_AND_1_INV_239 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_8_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_7_2_INV_240 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_7_2_INV
    );
  DDR_DQ_9_OUTBUF_GTS_AND_1_INV_241 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_9_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV_242 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV
    );
  I_USER_INT_U_DO_8_2_INV_243 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_8_2_INV
    );
  I_USER_INT_U_DO_9_2_INV_244 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_9_2_INV
    );
  I_DDR_CTLR_O_DDR_CSB_2_INV_245 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_CSB_2_INV
    );
  DDR_DQ_10_OUTBUF_GTS_AND_1_INV_246 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_10_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_11_OUTBUF_GTS_AND_1_INV_247 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_11_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV_248 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV
    );
  DDR_DQ_12_OUTBUF_GTS_AND_1_INV_249 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_12_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV_250 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV
    );
  I_DDR_CTLR_O_DDR_DQM0_2_INV_251 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_DQM0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV_252 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV
    );
  DDR_DQ_13_OUTBUF_GTS_AND_1_INV_253 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_13_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_O_DDR_DQM1_2_INV_254 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_DQM1_2_INV
    );
  I_USER_INT_U_DO_10_2_INV_255 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_10_2_INV
    );
  DDR_DQ_14_OUTBUF_GTS_AND_1_INV_256 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_14_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_11_2_INV_257 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_11_2_INV
    );
  DDR_DQ_15_OUTBUF_GTS_AND_1_INV_258 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_15_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV_259 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV_260 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV
    );
  I_USER_INT_U_DO_20_2_INV_261 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_20_2_INV
    );
  I_USER_INT_U_DO_12_2_INV_262 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_12_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV_263 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV_264 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV
    );
  I_USER_INT_U_DO_13_2_INV_265 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_13_2_INV
    );
  I_USER_INT_U_DO_21_2_INV_266 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_21_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV_267 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV
    );
  I_USER_INT_U_DO_30_2_INV_268 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_30_2_INV
    );
  I_USER_INT_U_DO_22_2_INV_269 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_22_2_INV
    );
  I_USER_INT_U_DO_14_2_INV_270 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_14_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV_271 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV
    );
  I_USER_INT_U_DO_15_2_INV_272 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_15_2_INV
    );
  I_USER_INT_U_DO_23_2_INV_273 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_23_2_INV
    );
  I_USER_INT_U_DO_31_2_INV_274 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_31_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV_275 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV
    );
  I_USER_INT_U_DO_24_2_INV_276 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_24_2_INV
    );
  I_USER_INT_U_DO_16_2_INV_277 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_16_2_INV
    );
  I_USER_INT_U_DATA_VALID0_2_INV_278 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DATA_VALID0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV_279 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV
    );
  I_USER_INT_U_DO_17_2_INV_280 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_17_2_INV
    );
  I_USER_INT_U_DO_25_2_INV_281 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_25_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV_282 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV
    );
  I_USER_INT_U_DO_26_2_INV_283 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_26_2_INV
    );
  I_USER_INT_U_DO_18_2_INV_284 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_18_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV_285 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV
    );
  I_USER_INT_U_DO_19_2_INV_286 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_19_2_INV
    );
  I_USER_INT_U_DO_27_2_INV_287 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_27_2_INV
    );
  VCC_288 : X_ONE
    port map (
      O => VCC
    );
  ROC_NGD2VHDL : ROC port map (O => GSR);
  TOC_NGD2VHDL : TOC port map (O => GTS);
end STRUCTURE;

